<?php
/**
 * Created by PhpStorm.
 * User: Rafael
 * Date: 17/08/2016
 * Time: 16:49
 */

function mascara_telefone($telefone){
    $pattern = '/(\d{2})(\d{4})(\d*)/';
    $telefoneN = preg_replace($pattern, '($1) $2-$3', $telefone);
    return $telefoneN;
}

function getAnoColuna($coluna) {
    $anomeros = preg_replace('/[^0-9]/', '', $coluna);
    if(is_numeric($anomeros)) {
        $ano = DateTime::createFromFormat('y', $anomeros);
        return $ano->format('Y');
    }

}

/**
 * Return a UUID (version 4) using random bytes
 * Note that version 4 follows the format:
 *     xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx
 * where y is one of: [8, 9, A, B]
 *
 * We use (random_bytes(1) & 0x0F) | 0x40 to force
 * the first character of hex value to always be 4
 * in the appropriate position.
 *
 * For 4: http://3v4l.org/q2JN9
 * For Y: http://3v4l.org/EsGSU
 * For the whole shebang: http://3v4l.org/BkjBc
 *
 * @link https://paragonie.com/b/JvICXzh_jhLyt4y3
 *
 * @return string
 */
function uuidv4()
{
    return implode('-', [
        bin2hex(random_bytes(4)),
        bin2hex(random_bytes(2)),
        bin2hex(chr((ord(random_bytes(1)) & 0x0F) | 0x40)) . bin2hex(random_bytes(1)),
        bin2hex(chr((ord(random_bytes(1)) & 0x3F) | 0x80)) . bin2hex(random_bytes(1)),
        bin2hex(random_bytes(6))
    ]);
}


function isUuidv4($uuid) {
    if (!is_string($uuid) || (preg_match('/^[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$/', $uuid) !== 1)) {
        return false;
    } else {
        return true;
    }

}

function isUuid($uuid)
{
    return preg_match('/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/', $uuid);
}

