<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 29/08/2019
 * Time: 09:42
 */

namespace App\Admin\Dashboard\Models\Ads;


use Illuminate\Database\Eloquent\Model;

class Ad extends Model
{

    protected $table = 'ads';

    protected $fillable = [
        'name',
        'filename',
        'type',
        'destination',
        'user_type',
        'status'
    ];

    protected $casts = [
        'user_type' => 'array'
    ];

    protected $appends = [
        'tipo'
    ];

    protected function getTipoAttribute(): string
    {

        $retorno = '';

        switch($this->attributes['type']) {
            case 1:
                $retorno = 'Site';
                break;
            case 2:
                $retorno = 'Tela';
                break;
            case 3:
                $retorno = 'Função';
                break;
        }

        return $retorno;

    }

    protected function user_ads()
    {
        return $this->hasMany(UserAd::class);
    }

    public function visualizados()
    {
        return $this->user_ads()->where('status', 2)->count();
    }


}