<?php

namespace App\Admin\Dashboard\Models;

use Illuminate\Database\Eloquent\Model;
use App\Admin\Dashboard\Models\Car;
use App\Auth\Models\User;
use Carbon\Carbon;

class CarSell extends Model
{
    protected $table = 'car_sell';

    protected $fillable = ['date', 'price', 'car_id', 'user_sell_id', 'user_buy_id'];

    public function car()
    {
       return $this->belongsTo(Car::class);
    }

    public function user_sell()
    {
       return $this->belongsTo(User::class);
    }

    public function user_buy()
    {
       return $this->belongsTo(User::class);
    }

    public function reason() {
        return $this->belongsTo(CarReason::class);
    }

}
