<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 22/04/2019
 * Time: 11:26
 */

namespace App\Admin\Dashboard\Models;


use App\Auth\Models\UserType;
use Illuminate\Database\Eloquent\Model;

class FipeConfig extends Model
{
    protected $table = 'fipe_configs';

    protected $fillable = ['user_type_id', 'fipe_year', 'fipe_percent'];

    public function userType()
    {
        return $this->belongsTo(UserType::class);
    }

    public function getFipeYearNameAttribute()
    {
        $attr = $this->attributes['fipe_year'];

        switch($attr) {
            case 0:
                $var = 'Zero KM';
                break;
            case 9999:
                $var = 'Todos';
                break;
            default:
                $var = $attr;
                break;
        }

        return $var;
    }

}