<?php

namespace App\Admin\Dashboard\Models\OrderItem;

use App\Admin\Dashboard\Models\Product;
use Illuminate\Database\Eloquent\Model;
use App\Admin\Dashboard\Models\Order\Order;

/**
 * @SWG\Definition(type="object", @SWG\Xml(name="OrderItem"))
 */
class OrderItem extends Model
{
    protected $fillable = [
        'order_id', 'product_id', 'qty', 'price', 'options'
    ];

    /**
    * @var object
    * @SWG\Property()
    */
    private $order;

    /**
    * @var object
    * @SWG\Property()
    */
    private $product;

    /**
     * @var integer
     * @SWG\Property()
     */
    private $qty;

    /**
     * @var integer
     * @SWG\Property()
     */
    private $price;

    /**
     * @var string
     * @SWG\Property()
     */
    private $options;

    public function product()
    {
    	return $this->belongsTo( Product::class );
    }

    public function order()
    {
    	return $this->hasOne( Order::class );
    }
}
