@extends('admin.master')
@section('content')
    <section id="dashboard-content">
        <div id="relAnuncio" class="section-content">
            @if(session()->has('errors'))
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            <div class="row">
                <div class="col-xs-12">
                    <button type="button" class="btn btn-default btn-sm" data-toggle="modal"
                            data-target="#modal-blacklist">
                        Inserir
                    </button>
                </div>
            </div>
            <br>
            <div class="row">
                <div class="col-xs-12" id="rla-content">
                    <h4>Restrição de aparelhos</h4>
                    <p>Bloqueia o usuário ao acessar o aplicativo</p>
                    <table class="table table-condensed table-hover">
                        <thead>
                        <tr>
                            <th>Cadastro</th>
                            <th>Código do aparelho</th>
                            <th>Motivo</th>
                            <th>Tentativas</th>
                            <th>Última tentativa</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($tokens as $token)
                            <tr>
                                <td>{{$token->created_at->format('d/m/Y H:i:s')}}</td>
                                <td>{{$token->device_token}}</td>
                                <td>{{$token->reason}}</td>
                                <td>{{$token->attempts}}</td>
                                <td>{{$token->updated_at->format('d/m/Y H:i:s')}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>

                    <h4>Restrição de cpf/cnpj/número de telefone</h4>
                    <p>Não deixa o usuário se cadastrar</p>
                    <table class="table table-condensed table-hover">
                        <thead>
                        <tr>
                            <th>Cadastro</th>
                            <th>Nome do Campo</th>
                            <th>Conteúdo</th>
                            <th>Motivo</th>
                            <th>Tentativas</th>
                            <th>Última tentativa</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($users as $user)
                            <tr>
                                <td>{{$user->created_at->format('d/m/Y H:i:s')}}</td>
                                <td>{{$user->field_name}}</td>
                                <td>{{$user->field_content}}</td>
                                <td>{{$user->reason}}</td>
                                <td>{{$user->attempts}}</td>
                                <td>{{$user->updated_at->format('d/m/Y H:i:s')}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>


        </div>
    </section>

    <div class="modal fade" tabindex="-1" role="dialog" id="modal-blacklist">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Nova restrição</h4>
                </div>
                <form method="post" action="{{route('admin.blacklist.new')}}">
                    {{ csrf_field() }}
                    <div class="modal-body">
                        <div class="form-group">
                            <label for="blacklist_type">Tipo de restrição:</label>
                            <select class="form-control" id="blacklist_type" name="blacklist_type" required>
                                <option value=""> - Selecione -</option>
                                <option value="phone">Número de telefone</option>
                                <option value="document">CPF ou CNPJ do cadastro</option>
                                <option value="token">Código de aparelho (token)</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="blacklist_value">Dado:</label>
                            <input type="text" class="form-control" id="blacklist_value" name="blacklist_value"
                                   required>
                        </div>
                        <div class="form-group">
                            <label for="blacklist_reason">Motivo:</label>
                            <input type="text" class="form-control" id="blacklist_reason" name="blacklist_reason"
                                   required>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                        <button type="submit" class="btn btn-primary">Salvar</button>
                    </div>
                </form>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

@endsection