@extends('admin.master')
@section('content')
<section id="dashboard-content">
    <div id="relConcessionarias" class="col-xs-12 section-content">
        <div class="row">
            <div id="rlc-filtro" class="col-xs-12">
                <span class="main-button btn-transparente">
                    <span class="btn-inner_label">Ordenar:</span>
                    <select class="select" id="selectOrder">
                        @if($order == 'DESC')
                            <option selected="selected" value="DESC">Recentes</option>
                            <option value="ASC">Antigos</option>
                        @else
                            <option value="DESC">Recentes</option>
                            <option selected="selected" value="ASC">Antigos</option>
                        @endif
                    </select>
                </span>
            </div>
            <div id="rlc-content" class="col-xs-12">
                <table>
                    <thead>
                        <tr>
                            <th>Nome da Concessionária</th>
                            <th>Nome do Responável</th>
                            <th>E-mail</th>
                            <th>Telefone</th>
                            <th>Cadastro</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($dealerships as $dealership)
                            <tr>
                                <td>
                                    <img class="img-responsive img-circle" src="{{ url('uploads/avatar/'. $dealership->photo ) }}" width="70" height="70">
                                    <span class="user-info">
                                        {{ $dealership->dealership }}
                                        <span class="user-cidade">{{ $dealership->city }}/{{ $dealership->state }} - {{$dealership->type['name']}}</span>
                                        <span class="user-anuncios">
                                            @if($dealership->anuncios()->count() == 0)
                                                Nenhum anúncio cadastrado
                                            @else
                                                <a href="{{route('admin.report.estoque', ['user_id' => $dealership->id])}}">(ver {{$dealership->anuncios()->count()}} anúncios)</a>
                                            @endif
                                            <a href="{{ route('admin.user.edit', $dealership->id) }}">Editar usuário</a>
                                        </span>
                                    </span>
                                </td>
                                <td>{{ $dealership->name }}</td>
                                <td>{{ $dealership->email }}</td>
                                <td>{{ mascara_telefone($dealership->phone) }}</td>
                                <td>{{ date('d/m/Y H:i:s', strtotime($dealership->created_at)) }}</td>
                                <!-- <td>
                                    <div class="dropdown user-list-item">
                                        <button type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <i class="fa fa-circle"></i>
                                            <i class="fa fa-circle"></i>
                                            <i class="fa fa-circle"></i>
                                        </button>
                                        <ul class="dropdown-menu" aria-labelledby="dLabel">
                                            <li><a href="#"><i class="fa fa-pencil"></i>Editar</a></li>
                                            <li><a href="#"><i class="fa fa-trash"></i>Excluir</a></li>
                                        </ul>
                                    </div>
                                </td> -->
                            </tr>
                        @endforeach
                    </tbody>
                </table>
                <div align="center">
                    {!! $dealerships->render() !!}
                </div>
            </div>
        </div>
    </div>
</section>
@stop
@section('scripts')
    <script>
        $(document).ready( function (){

            $('#selectOrder').change(function(event) {
                window.location.href = "{{ route('admin.reportdealerships') }}?order="+this.value
            });
        });
    </script>
@stop
