@extends('admin.master')
@section('content')
<section id="dashboard-content">
    <div id="relNegociacoes" class="col-xs-12 section-content">
        <div class="row">
            <div id="rln-filtro" class="col-xs-12">
                <div class="main-button btn-transparente">
                    <span class="btn-inner_label">Ordenar:</span>
                    <select class="select">
                        <option selected>Recentes</option>
                        <option>Antigos</option>
                    </select>
                </div>
            </div>
            <div id="rln-content" class="col-xs-12">
                @foreach($negotiations as $negotiation)
                    <div class="rln-item box-content box-col-3">
                        <div class="row">
                            <div class="text-cinza">{{ $negotiation->created_at->format('d/m/Y') }}</div>
                            <div class="col-xs-6 col-md-12">
                                <span class="main-button upper">
                                    Vendedor
                                </span>
                                <img alt="Imagem do usuário" class="img-responsive img-circle" src="{{ url('uploads/avatar/'. $negotiation->user_sell->photo ) }}"
                                     width="70" height="70">
                                <div class="rln-item-nome">
                                    {{$negotiation->dealership}}
                                    <span class="text-cinza">
                                        {{$negotiation->user_sell->type['name']}}<br>
                                        {{ $negotiation->user_sell->city }}/{{ $negotiation->user_sell->state }}
                                    </span>
                                </div>
                                <div class="rln-item-nome rln-item-nome-pessoa">
                                    <a href="{{route('admin.user.edit', $negotiation->user_sell->id)}}">{{ $negotiation->user_sell->name }}</a>
                                    <span class="text-cinza">{{ $negotiation->user_sell->email }}</span>
                                    <span class="text-cinza">{{ mascara_telefone( $negotiation->user_sell->phone ) }}</span>
                                </div>
                                <p>
                                    @if($negotiation->reason_id !== 0)
                                        {{$negotiation->reason->name}}
                                    @else
                                        <br>
                                    @endif
                                </p>
                            </div>

                            <div class="clearfix hidden-xs hidden-sm"></div>
                            <div class="bottom-line hidden-xs hidden-sm"></div>
                            <div class="col-xs-6 col-md-12">
                                <span class="main-button btn-verde upper">
                                    Comprador
                                </span>
                                <?php
                                if ( $negotiation->user_buy_id !== 0 ) {
                                    $img = url('uploads/avatar/'. $negotiation->user_buy->photo );
                                    $loja = $negotiation->user_buy->dealership;
                                    $nome = $negotiation->user_buy->name;
                                    $tipo = $negotiation->user_buy->type['name'];
                                    $cidade = $negotiation->user_buy->city;
                                    $estado = $negotiation->user_buy->state;
                                    $email  = $negotiation->user_buy->email;
                                    $telefone = mascara_telefone($negotiation->user_buy->phone);
                                } else {
                                    $img = url('img/backoffice/no-image.png');
                                    $loja = 'Não informada';
                                    $nome = 'Não informado';
                                    $tipo = 'Não informado';
                                    $cidade = 'Não informado';
                                    $estado = 'NI';
                                    $email  = 'Não Informado';
                                    $telefone = 'Não informado';
                                }

                                ?>
                                <img alt="Imagem enviada pelo usuário" class="img-responsive img-circle" src="{!! $img !!}"
                                    width="70" height="70">
                                <div class="rln-item-nome">
                                    {{ $loja }}
                                    <span class="text-cinza">
                                        {{$tipo}}<br>
                                        {{ $cidade }}/{{ $estado }}
                                    </span>
                                </div>
                                <div class="rln-item-nome rln-item-nome-pessoa">
                                    <a href="{{$nome === 'Não informado' ? '#' : route('admin.user.edit', $negotiation->user_buy->id)}}">{{ $nome }}</a>
                                    <span class="text-cinza">{{ $email }}</span>
                                    <span class="text-cinza">{{ $telefone }}</span>
                                </div>
                            </div>
                            <div class="col-xs-12">
                                <div class="rln-item-veiculo">
                                    @if(count($negotiation->car->photos) == 0)
                                        <img alt="Anúncio sem imagem" src="{{ url('img/backoffice/no-image.png') }}">
                                    @else
                                        <img alt="Imagem do anúncio" src="{{ url('uploads/gallery/'.$negotiation->car->photos[0]->filename) }}">
                                    @endif

                                    <div class="rln-item-nome">
                                        {{ $negotiation->car->brand->name }}
                                        <span class="text-cinza"><a href="{{route('admin.report.anuncio', $negotiation->car->id)}}">{{ $negotiation->car->fipe->model }}</a></span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <div class="rln-item-valor">
                                    <div>VALOR NEGOCIADO</div>
                                    <div class="rln-item-valor-wrapper">
                                        <div class="rln-item-valor-simbolo">R$ </div>
                                        <div class="rln-item-valor-principal">
                                            {{ number_format($negotiation->car->price,2,',','.') }}
                                        </div> <!--<div class="rln-item-valor-decimal">.00</div>-->
                                         <span class="label label-danger"> {{$negotiation->car->fipeoff}} </span>
                                    </div>

                                    <div class="clearfix"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
            <div style="text-align: center">
                    {!! $negotiations->render() !!}
            </div>
        </div>
    </div>
</section>
@stop
