@extends('admin.master')
@section('content')
    <section id="dashboard-content">
        <div class="panel panel-default">
            <div class="panel-heading">
                @if(session()->has('message'))
                    <div class="alert alert-success">
                        {{session()->get('message')}}
                    </div>
                @endif
                <h4 class="panel-title" style="padding-left: 15px;">Editar Voucher</h4>
            </div>
            <div class="panel-body" id="rla-content">
                <div class="card">
                    <div class="card-block">
                        <div class="row">
                            <div class="col-xs-12">
                                <form class="form form-horizontal" method="POST" id="frmVoucher"
                                      action="{{route('admin.products.vouchers.new')}}">
                                    <div class="modal-body">

                                        {{csrf_field()}}
                                        <input type="hidden" name="id" value="{{$voucher->id}}">
                                        <div class="form-group">
                                            <label for="code" class="control-label col-xs-2">Código:</label>
                                            <div class="col-xs-9">
                                                <input type="text" name="code" class="form-control" id="code" disabled
                                                       placeholder="Código gerado automaticamente" value="{{ $voucher->code }}" >
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label for="product_id" class="control-label col-xs-2">Produto:</label>
                                            <div class="col-xs-9">
                                                <select id="product_id" name="product_id" class="form-control">
                                                    <option value=""> - Selecione -</option>
                                                    @if(!empty($products))
                                                        @foreach($products as $product)
                                                            <option value="{{$product->id}}" {{($voucher->product_id === $product->id) ? 'selected' : '' }}>{{$product->name}}</option>
                                                        @endforeach
                                                    @endif
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label for="usage_limit" class="control-label col-xs-2">Limite de uso:</label>
                                            <div class="col-xs-9">
                                                <input type="text" disabled class="form-control" id="usage_limit" value="1">
                                            </div>
                                        </div>

                                    </div>
                                    <div class="modal-footer">
                                        <a class="btn btn-danger" href="{{route('admin.products.vouchers.delete', $voucher->id)}}">Excluir</a>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                                        <button type="submit" class="btn btn-primary">Salvar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection