<?php
/**
 * Created by PhpStorm.
 * User: Rafael
 * Date: 26/09/2016
 * Time: 17:15
 */

namespace App\Chat\Pool;

use App\Admin\Dashboard\Models\MessagePool;

class Pool
{
    private $receiver_id;
    private $msg_type;
    private $json;
    private $pool_id;
    private $created_at;

    public function __construct($receiver_id, $msg_type, $json) {
        $this->receiver_id = $receiver_id;
        $this->msg_type = $msg_type;
        $this->json = $json;
        $pool = MessagePool::create(
            [
                'room_id' =>  $this->json['room_id'],
                'receiver_id' => $this->receiver_id,
                'msg_type' => $this->msg_type,
                'json' => json_encode($this->json),
                'status' => 0
            ]
        );
        $this->pool_id = $pool->id;
        $this->created_at = $pool->created_at->toRfc3339String();

    }

    public function getPoolId() {
        return $this->pool_id;
    }

    public function getCreatedAt() {
        return $this->created_at;
    }



}