<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 23/02/2021
 * Time: 17:47
 */

namespace App\Core\Console\Commands\Fipe;


use App\Admin\Dashboard\Models\Brand;
use App\Admin\Dashboard\Models\CarType;
use App\Admin\Dashboard\Models\Config;
use GuzzleHttp\Client;
use Illuminate\Console\Command;

class UpdateFipeCommand extends Command
{
    protected $signature = 'fipe:update';

    protected $description = 'Atualiza tipos de veículo e marcas da fipe';

    public function handle()
    {
        // pega os dados da fipe:

        $client = new Client();

        $url = config('fipe.api.url');

        $tabelaFipeLocal = Config::find(1);


        if (!$tabelaFipeLocal->current_fipe_table_id) {
            $response = $client->get($url . '/v1/tabela');
            $tabela = json_decode($response->getBody());
            $tabelaFipeLocal->current_fipe_table_id = $tabela->codigo;
            $tabelaFipeLocal->save();
        }

        $CarTypes = CarType::all();

        foreach($CarTypes as $carType) {
            $this->warn($carType->external_fipe_id);
            $response = $client->request('POST',$url . '/v1/marcas', ['json' => [
                'codigo_tabela' => $tabelaFipeLocal->current_fipe_table_id,
                'tipo_veiculo' => $carType->external_fipe_id
            ]]);

            $marcas = json_decode($response->getBody());

            foreach ($marcas as $marca) {
                // procurar e atualizar
                $brand = Brand::where('name', $marca->Label)->where('type', $carType->id)->first();
                if ($brand) {
                    $brand->external_fipe_id = $marca->Value;
                    $brand->save();
                } else {
                    $brand =  Brand::create([
                        'name' => $marca->Label,
                        'type' => $carType->id,
                        'external_fipe_id' => $marca->Value
                    ]);
                }
            }
        }
    }

}