<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 30/10/2018
 * Time: 12:36
 */

namespace App\Core\Console\Commands;

use App\Core\Jobs\PushNotificationJob;
use App\Repasse\Push\PushToSegment;
use Illuminate\Console\Command;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Log;

class PushAllAntiFraud extends Command
{
    use DispatchesJobs;

    protected $signature = 'push:antifraud';

    protected $description = 'Envia Push alertando usuários contra fraudes';

    protected $heading = 'Cuidado com Fraudes!';

    protected $contents = 'Recomendamos que evite realizar qualquer tipo de depósito antecipado (pagamento de entrada, reserva ou frete). Certifique-se de que o veículo existe e está nas condições em que foi anunciado. Peça documentos e faça uma consulta veicular.';

    protected $url = 'http://www.aplicativorepasse.com.br/blog/atencao-nas-negociacoes';

    public function handle()
    {
        Log::info('Iniciando a rotina de envio de push antifraude');

        $Segment = new PushToSegment(['All'], $this->heading, $this->contents);
        $Segment = $Segment->setUrl($this->url);
        $parameters = $Segment->getParameters();

        $job = (new PushNotificationJob($parameters))->onQueue('push');
        $this->dispatch($job);

        Log::info('Finalizada a rotina de envio de push antifraude');

    }

}