<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 30/10/2018
 * Time: 12:18
 */

namespace App\Core\Console\Commands;


use App\Core\Jobs\PushNotificationJob;
use App\Repasse\Push\PushToSegment;
use Illuminate\Console\Command;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Log;

class PushAllDennounce extends Command
{
    use DispatchesJobs;

    protected $signature = 'push:dennounce';

    protected $description = 'Envia Push pedindo para os usuários denunciarem anúncios irregulares';

    protected $heading = 'Viu algo de errado nos anúncios? Comunique!';

    protected $contents = 'Ajude-nos a melhorar cada vez mais o aplicativo repasse. Denuncie os anúncios que tiverem com preços fora da regra, 15% abaixo da tabela FIPE.';

    protected $url = 'http://www.aplicativorepasse.com.br/blog/atencao-nos-anuncios';


    public function handle()
    {
        Log::info('Iniciando a rotina de envio de push de denúncia');
        $Segment = new PushToSegment(['All'], $this->heading, $this->contents);
        $Segment = $Segment->setUrl($this->url);
        $parameters = $Segment->getParameters();

        $job = (new PushNotificationJob($parameters))->onQueue('push');
        $this->dispatch($job);

        Log::info('Finalizada a rotina de envio de push de denúncia');

    }

}