<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 30/10/2018
 * Time: 12:55
 */

namespace App\Core\Console\Commands;


use App\Core\Jobs\PushNotificationJob;
use App\Repasse\Push\PushToSegment;
use Illuminate\Console\Command;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Log;

class PushAllShareApp extends Command
{
    use DispatchesJobs;

    protected $signature = 'push:shareapp';

    protected $description = 'Envia Push pedindo para os usuários compartilharem o app com amigos';

    protected $heading = 'Compartilhe o Aplicativo Repasse';

    protected $contents = 'Aumente suas possibilidades de vender e comprar carros de repasse na sua região. Compartilhe o Aplicativo Repasse com profissionais e amigos.';

    protected $url = 'http://www.aplicativorepasse.com.br/blog/compartilhe-com-os-amigos';


    public function handle()
    {
        Log::info('Iniciando a rotina de envio de push de compartilhamento do app');
        $Segment = new PushToSegment(['All'], $this->heading, $this->contents);
        $Segment = $Segment->setUrl($this->url);
        $parameters = $Segment->getParameters();

        $job = (new PushNotificationJob($parameters))->onQueue('push');
        $this->dispatch($job);

        Log::info('Finalizada a rotina de envio de push de compartilhamento do app');

    }

}