<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 29/10/2018
 * Time: 17:08
 */

namespace App\Core\Console\Commands;

use App\Core\Jobs\PushNotificationJob;
use App\Repasse\Push\PushToSegment;
use Illuminate\Console\Command;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Log;

class PushAllTurboOffer extends Command
{
    use DispatchesJobs;

    protected $signature = 'push:turbo';

    protected $description = 'Envia Push oferecendo o produto turbo para todos usuários registrados';

    protected $heading = 'Turbine agora seus anúncios!';

    protected $contents = 'Quer acelerar as chances de vender seu veículo agora? Toque aqui!';

    protected $url = 'http://www.aplicativorepasse.com.br/blog/anuncios-turbo';


    public function handle()
    {
        Log::info('Iniciando a rotina de envio de push do turbo');
        $Segment = new PushToSegment(['All'], $this->heading, $this->contents);
        $Segment = $Segment->setUrl($this->url);
        $parameters = $Segment->getParameters();

        $job = (new PushNotificationJob($parameters))->onQueue('push');
        $this->dispatch($job);

        Log::info('Finalizada a rotina de envio de push do turbo');

    }

}