<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 08/11/2018
 * Time: 14:36
 */

namespace App\Core\Console\Commands;


use App\Auth\Models\User;
use App\Core\Jobs\PushNotificationJob;
use Illuminate\Console\Command;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Log;

class PushFinishSignup extends Command
{
    use DispatchesJobs;

    protected $signature = 'push:finishsignup';

    protected $description = 'Envia push incentivando o usuário a completar o cadastro';

    protected $heading = 'Complete seu cadastro';

    protected $contents = 'Com seu cadastro completo, fica mais fácil negociar. São poucas informações que vão ajudar muito.';

    protected $data = ['car' => true];

    public function handle()
    {

        Log::info('Iniciando a rotina de envio de push incentivando o usuário a completar o cadastro');

        User::where('role_id', 2)
            ->where('is_aprovado', 1)
            ->where('device_token', '<>', " ''  " )
            ->whereRaw(" ( (document = '' OR document IS NULL) OR (phone = '' OR phone IS NULL) OR (cell_phone = '' OR cell_phone IS NULL) OR (photo = '' OR photo IS NULL) ) ")
            ->chunk(2000, function ($users) {
                $devices = array_pluck($users->toArray(), 'device_token');

                $parameters = [
                    'include_player_ids' => $devices,
                    'headings' => [
                        'en' => $this->heading
                    ],
                    'contents' => [
                        'en' => $this->contents
                    ],
                    'android_group' => 7,
                    'android_group_message' => [
                        'en' => '$[notif_count] Aviso(s)'
                    ],
                    'small_icon' => 'repasse_small_icon_white',
                    'large_icon' => 'repasse_icon',
                    'data' => $this->data
                ];

                $job = (new PushNotificationJob($parameters))->onQueue('push');
                $this->dispatch($job);

            });


        Log::info('Iniciando a rotina de envio de push incentivando o usuário a completar o cadastro');

    }


}