<?php

namespace App\Core\Console\Commands;

use App\Admin\Dashboard\Models\Car;
use Carbon\Carbon;
use Illuminate\Console\Command;
use Illuminate\Contracts\Bus\SelfHandling;
use Log;

class RemoverPatrocinioAnuncio extends Command implements SelfHandling
{

    protected $signature = 'turbo:remove';

    protected $description = 'Remove turbo dos anuncios patrocinados que venceram';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
        parent::__construct();
    }

    /**
     * Execute the command.
     *
     * @return void
     */
    public function handle()
    {
        //
        Log::info('inicializando rotina de verificacao de anuncios');

        // pesquisando anúncios com os parametros
        // car_status_id 9 && boosted_until menor que agora

        $elegible = Car::where('car_status_id', 9)->where('boosted_until', '<', Carbon::now() )->get();

        Log::info("Encontrados {$elegible->count()} anuncios para remover o patrocinio");

        foreach ($elegible as $car) {
            $car->car_status_id = 1;
            $car->save();
        }
    }
}
