<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 14/10/2019
 * Time: 15:28
 */

namespace App\Core\Jobs\Ads;


use App\Admin\Dashboard\Models\Ads\Ad;
use App\Admin\Dashboard\Models\Ads\UserAd;
use App\Auth\Models\User;
use App\Core\Jobs\Job;
use Carbon\Carbon;
use Illuminate\Contracts\Bus\SelfHandling;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Mail;
// use Mavinoo\LaravelBatch\Batch;
// use Batch;
// batchuse Mavinoo\Batch\BatchFacade as Batch;

class ScheduleAd extends Job implements SelfHandling, ShouldQueue
{
    use InteractsWithQueue, SerializesModels;

    private $ad;
    private $user;

    public function __construct(Ad $ad, User $user)
    {
        $this->ad = $ad;
        $this->user = $user;
    }

    public function handle(Mail $mail)
    {
        Log::debug('Inicializando batch ad scheduler');

        $slug = str_slug("{$this->ad->id} {$this->ad->name}");
        $ad_id = $this->ad->id;
        /*$now = Carbon::now()->toDateTimeString();
        $data = [];
        $columns = [
            'user_id',
            'ad_id',
            'status',
            'label',
            'created_at',
            'updated_at'
        ];
        $batchsize = 1000;
        $user_ad = new UserAd();*/

        $selected_users = User::where('is_aprovado', 1)->whereIn('user_type', $this->ad->user_type)->get();


        foreach($selected_users as $user) {
            UserAd::create(['ad_id' => $ad_id, 'status' => 1, 'label' => $slug, 'user_id' => $user->id ]);
            // Log::debug('Colocando no array: ' . $user);
           /* $data[] = [
                $user,
                $ad_id,
                1,
                $slug,
                $now,
                $now
            ];*/
        }

/*        Log::debug('Inserindo no banco batch ad scheduler');
        // $result = batch()->insert($user_ad, $columns, $data, $batchsize);
        $result = \Batch::insert($user_ad, $columns, $data, $batchsize);
        Log::debug('fim inserido no banco batch ad scheduler', $result);*/


        $mail::send('emails.ads.success', [
            'name'    => $this->user->name,
            'id'      => $ad_id,
            'ad_name' => $this->ad->name
        ], function($message) {
            $message->to($this->user->email, $this->user->name)->subject('Agendamento de aviso efetuado com sucesso!');
        });

        Log::debug('Fim batch ad scheduler');

    }

}