<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 14/10/2019
 * Time: 11:58
 */

namespace App\Core\Jobs\CarQuery;


use App\Admin\Dashboard\Models\CarQuery\CarQuery;
use App\Core\Jobs\Job;
use Illuminate\Contracts\Bus\SelfHandling;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Mail;

class FailedAdminMailJob extends Job implements SelfHandling, ShouldQueue
{
    use InteractsWithQueue, SerializesModels;
    
    private $carQuery;
    private $error;
    
    public function __construct(CarQuery $carQuery, $error)
    {
        $this->carQuery = $carQuery;
        $this->error =  $error;
    }
    
    public function handle(Mail $mail)
    {
        $mail::send('emails.car_query.failed', [
            'license_plate' => $this->carQuery->license_plate,
            'id'            => $this->carQuery->id,
            'error'         => $this->error
        ], function($message) {
            $message->to(config('moderador.email'), 'Repasse App')->subject('Ocorreu um erro ao salvar a consulta veicular para um cliente!');
        });

    }

}