<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 08/07/2019
 * Time: 14:35
 */

namespace App\Core\Jobs\Fipe;


use App\Admin\Dashboard\Models\Fipe;
use App\Core\Jobs\Job;
use Illuminate\Contracts\Bus\SelfHandling;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Mail;

class AutoVinculoFipeJob extends Job implements SelfHandling, ShouldQueue
{
    use InteractsWithQueue, SerializesModels, DispatchesJobs;

    private $email;

    public function __construct($email)
    {
        //
        $this->email = $email;
    }

    public function handle(Mail $mail)
    {
        //
        $resumo = [];
        // $orfaos = Fipe::listOrfaos();
        $orfaos = Fipe::where('modelo_id', 0)->get();

        foreach ($orfaos as $orfao) {
            // Encontrar os anúncios com a mesma fipe que tem modelo;;;;
            // SELECT * FROM fipe WHERE modelo_id <> 0 AND code = $orfao->code;
            $fipe = Fipe::where('code', $orfao->code)->where('modelo_id', '<>', 0)->first();

            if ($fipe) {
                $resumo[] = "Fipe id: {$orfao->id} código: {$orfao->code} é igual a id: {$fipe->id}  código: {$fipe->code}";
                $orfao->modelo_id = $fipe->modelo_id;
                $orfao->save();
            } else {
                $resumo[] = "Não foi encontrado vínculo para id {$orfao->id} código: {$orfao->code}";
            }


        }

        $mail::send('emails.vinculo', ['orfaos' => $resumo], function($m) {
            $m->to($this->email)->subject('Vínculo finalizado');
        });


    }


}