<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 03/10/2018
 * Time: 12:51
 */

namespace App\Core\Jobs;


use App\Auth\Models\User;
use App\Repasse\GeoLocation;
use Illuminate\Contracts\Bus\SelfHandling;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;

class GeolocationJob extends Job implements SelfHandling, ShouldQueue
{
    use InteractsWithQueue, SerializesModels;

    /** @var User $user */
    protected $user;

    /**
     * @var GeoLocation $geolocation
     */
    protected $geolocation;

    public function __construct(User $user)
    {
        $this->user = $user;
        $this->geolocation = new GeoLocation(config('geocode.key'));
    }

    public function handle()
    {
        $location = $this->geolocation->getGeolocationByAddress($this->user->address,
            $this->user->number, $this->user->neighborhood, $this->user->city, $this->user->state);


        $this->user->latitude = $location['latitude'];
        $this->user->longitude = $location['longitude'];

        $this->user->save();

    }

}