<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 11/01/2019
 * Time: 10:53
 */

namespace App\Core\Jobs;


use App\Repasse\Integration\Podio\Models\ContactFields;
use Illuminate\Contracts\Bus\SelfHandling;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Repasse\LaravelPodio\Services\PodioService;

class NewContactPodioJob extends Job implements SelfHandling, ShouldQueue
{
    use SerializesModels, InteractsWithQueue;

    protected $data;

    public function __construct($data)
    {
        $this->data = $data;
    }

    public function handle(PodioService $podioService)
    {
        $appCnt = $podioService->getApp('Contatos');

        if (!$podioService->isAuthenticated()) {
            $podioService->authenticateWithPassword();
        }

        $contactFields = new ContactFields($this->data);
        $fields = $contactFields->toPodio();

        $podioItem = \PodioItem::create($appCnt['id'], $fields);

    }

}