<?php

namespace App\Core\Jobs;

use App\Admin\Dashboard\Models\Brand;
use App\Admin\Dashboard\Models\Fipe;
use App\Core\Jobs\Job;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Bus\SelfHandling;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Support\Facades\Artisan;
Use Mail;


class SalvarFipe extends Job implements SelfHandling, ShouldQueue
{
    use InteractsWithQueue, SerializesModels, DispatchesJobs;

    /**
     * Create a new job instance.
     *
     * @return void
     */


    private $combustiveis = array('GGG' => 'Gasolina', 'AAA' => 'Alcool', 'DDD' => 'Diesel');
    private $objMail;
    private $Fipe;



    public function __construct($Fipe, $objMail)
    {
        //
        $this->Fipe = $Fipe;
        $this->objMail = $objMail;

    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        $inicio = new \DateTime();

        $Fipe = json_decode($this->Fipe, true);

        \DB::beginTransaction();


        foreach ($Fipe as $modelo) {

            //checa e cadastra marca
            $brand = Brand::where('type', trim($modelo['Tipo']))->where('name', trim($modelo['Marca']))->first();
            if(!$brand) {
                $brand = new Brand();
                $brand->name = trim($modelo['Marca']);
                $brand->type = trim($modelo['Tipo']);
                $brand->save();
            }
            // pra cada ano checa se tem no cadastro
            foreach($modelo['Anos'] as $ano => $valor) {
                $combs = $this->combustiveis[trim($modelo['Combustivel'])];
                $fipe = Fipe::where('type', $modelo['Tipo'])->where('code', $modelo['Fipe'])->where('brand_id', $brand->id)->where('year', $ano)->where('fuel', $combs)->first();
                if(!$fipe) {
                    $fipe = new Fipe();
                    $fipe->brand_id = $brand->id;
                    //$fipe->model = trim($modelo['Modelo']);
                    $fipe->year = $ano;
                    $fipe->code = trim($modelo['Fipe']);
                    $fipe->fuel = @$this->combustiveis[trim($modelo['Combustivel'])]; // mudar
                    $fipe->type = $modelo['Tipo'];

                }

                $fipe->model = trim($modelo['Modelo']);
                $fipe->price = $valor;
                $fipe->save();

            }

        }

        \DB::commit();

        $horaInicio = $inicio->format('d-m-Y H:i:s');
        $final = new \DateTime();
        $horaFim = $final->format('d-m-Y H:i:s');

        $job = (new EmailFipe($this->objMail->destinoNome, $this->objMail->destinoEmail, $horaInicio, $horaFim, $this->objMail->filename))->onQueue('emails');
        $this->dispatch($job);


    }

}
