<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 13/06/2019
 * Time: 17:57
 */

namespace App\Http\Middleware;

use App\Admin\Dashboard\Models\Store\Store;
use Closure;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class CheckSitePermission
{

    public function handle(Request $request, Closure $next)
    {

        $store_id = (int)$request->route('store_id');

        $store = Store::findOrFail($store_id);
        if (!$store->site) {
            $response = new Response();
            $response->setStatusCode(403);
            $response->setContent(['success' => false, 'msg' => 'Consulta não autorizada contate o suporte!']);

            return $response;
        }

        return $next($request);

    }

}