<?php

namespace App\Http\Requests\Store;

use App\Http\Requests\Request;

class CreateStaffRequest extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return auth()->check();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name'       => 'required|min:4|max:255',
            'cpf'        => 'required|max:11|min:11|unique:user,document',
            'email'      => 'required|email|unique:user,email',
            'password'   => 'required|min:8',
            'role'       => 'required|in:2,3,4',
            'cell_phone' => 'required'
        ];
    }
}
