<?php

namespace App\Http\Requests\Store;

use App\Http\Requests\Request;

class UpdateStaffRequest extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return auth()->check();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $paths = $this->segments();

        return [
            'name'       => 'min:4|max:255',
            'cpf'        => 'max:11|min:11|unique:user,document,' . end( $paths ),
            'email'      => 'email|unique:user,email,' . end( $paths ),
            'password'   => 'min:8',
            'role'       => 'in:2,3,4',
            'cell_phone' => 'required'
        ];
    }
}
