<?php
/**
 * Created by PhpStorm.
 * User: Rafael
 * Date: 22/08/2016
 * Time: 13:02
 */

namespace App\Push;


use Berkayk\OneSignal\OneSignalFacade as OneSignal;
use GuzzleHttp\Exception\ClientException;
use GuzzleHttp\Exception\ConnectException;
use GuzzleHttp\Exception\ServerException;
use GuzzleHttp\Psr7;
use Log;


class PushNotification
{

    public function sendCustom($parameters) {

        try{
            Log::info('Iniciando a sequência de notificação');
            $push = OneSignal::sendNotificationCustom($parameters);

        } catch (ClientException $e) {
            \Sentry::captureException($e);
            Log::error('Falha ao enviar push ' . $e->getMessage());
            return false;
        } catch (ConnectException $e) {
            \Sentry::captureException($e);
            Log::error('Falha ao enviar push connect: ' . $e->getMessage());
            return false;
        } catch (ServerException $e) {
            \Sentry::captureException($e);
            Log::error('Falha ao enviar push server: ' . $e->getMessage());
            return false;
        }

        Log::debug('Resultado do envio: ' . $push->getBody() );
        return $push->getBody();


    }

}