<?php
/**
 * Created by PhpStorm.
 * User: ZECA
 * Date: 08/12/2016
 * Time: 14:26
 */

namespace App\Repasse;


use App\Admin\Dashboard\Models\CarPhoto;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Storage;
use Image;

class AnuncioFileUpload
{
    public static function create($anuncio_id, $file) {

        $mimes = ['image/jpeg' => 'jpg', 'image/png' => 'png'];

        $extension = $file->getClientOriginalExtension();
        $fileMime = $file->getClientMimeType();

        if (in_array($fileMime, array_keys($mimes))) {
            //Salvar arquivo
            $filename = uniqid() . time() . '.' . $extension;
            Storage::disk('anuncio-imagem')->put('original_' . $filename, File::get($file));
            //Rotacionar e canvas
            // $background = Image::canvas(600, 450, array(0,0,0));
            $image = Image::make($file->getRealPath())->orientate();
            $image->fit(600, 450);
            // $background->insert($image, 'center');
            Storage::disk('anuncio-imagem')->put($filename, $image->stream());
            if ( $car_photo = CarPhoto::create(['filename' => $filename, 'car_id' => $anuncio_id]) ) {
                return true;
            } else {
                return false;
            }

        } else {
            return false;
        }
    }


}