<?php
/**
 * Created by PhpStorm.
 * User: ZECA
 * Date: 08/12/2016
 * Time: 18:11
 */

namespace App\Repasse;


use App\Admin\Dashboard\Models\Brand;
use App\Admin\Dashboard\Models\Call;
use App\Admin\Dashboard\Models\Car;
use App\Admin\Dashboard\Models\CarFavorite;
use App\Admin\Dashboard\Models\CarOptional;
use App\Admin\Dashboard\Models\CarPhoto;
use App\Admin\Dashboard\Models\CarPublish;
use App\Admin\Dashboard\Models\CarSell;
use App\Admin\Dashboard\Models\CarStatus;
use App\Admin\Dashboard\Models\CarTurbo;
use App\Admin\Dashboard\Models\CarType;
use App\Admin\Dashboard\Models\Color;
use App\Admin\Dashboard\Models\Fipe;
use App\Admin\Dashboard\Models\Room;
use App\Auth\Models\User;
use App\Auth\Models\UserType;
use App\Repasse\Loan\Ad;
use App\Repasse\Loan\Availability;
use App\Repasse\Loan\StateAvailability;


class CarUtil
{
    private $car;

    public function __construct(Car $car)
    {
        $this->car = $car;
    }

    /**
     * @param null $user_id
     * @return object
     */
    public function getCarObject($user_id = null)
    {
        $ob_car = (object)$this->car->toArray();

        if ($user_id !== null) {

            if ($ob_car->car_status_id == 3) {

                $ob_car->is_comprador = false;

                $car_sell = CarSell::where('car_id', $ob_car->id)->get(['user_buy_id'])->first();

                if ($car_sell) {
                    if ($car_sell->user_buy_id == $user_id) {
                        $ob_car->is_comprador = true;
                    }
                }
            }

            // Favoritos
            $favorite = CarFavorite::where('car_id', $this->car->id)->where('user_id', $user_id);
            if ($favorite->first()) {
                $ob_car->is_favorite = true;
            } else {
                $ob_car->is_favorite = false;
            }
        }

        $is_mine = (int)$user_id === (int)$this->car->user_id;


        // destino
        $car_publish = CarPublish::where('car_id', $this->car->id)->get(['user_type']);

        foreach ($car_publish as $user_type) {
            $ob_car->published_to[] = $user_type->user_type;
        }

        $user = User::with('roles')->find($ob_car->user_id);
        unset($user->chat_token);
        $ob_car->user = (object)$user->toArray();

        // destino
        $car_publish = CarPublish::where('car_id', $this->car->id)->get();

        $ob_car->visible_to = [];

        foreach ($car_publish as $user_type) {
            $ob_car->published_to[] = $user_type->user_type;
            $visible_to = UserType::where('id', $user_type->user_type)->get(['id', 'name'])->first();
            $ob_car->visible_to[] = (object)$visible_to->toArray();
        }

        $user_type = UserType::find($user['user_type']);
        $ob_car->user->type = ($user_type ? $user_type->toArray() : ['id' => 0, 'name' => 'Não Informado']);

        $car_type = CarType::find($ob_car->car_type);
        $ob_car->type = $car_type;

        $color = Color::find($ob_car->color_id);
        $ob_car->color = (object)$color->toArray();

        $brand = Brand::find($ob_car->brand_id);
        $ob_car->brand = (object)$brand->toArray();

        $fipe = Fipe::find($ob_car->fipe_id);
        $ob_car->fipe = (object)$fipe->toArray();

        $car_status = CarStatus::find($ob_car->car_status_id);
        $ob_car->car_status = (object)$car_status->toArray();

        /*$ob_car->image = null;
        $car_photo = CarPhoto::where('car_id', $ob_car->id)->first();
        if ($car_photo) {
            $ob_car->image = $car_photo->filename;
        }

        $car_photos = CarPhoto::where('car_id', $ob_car->id)->get();
        if ($car_photos) {
            $ob_car->photos = $car_photos->toArray();
        }*/

        $ob_car->image = null;
        $ob_car->photos = [];

        //$car_photos = CarPhoto::where('car_id', $ob_car->id)->orderByRaw('COALESCE(photo_order, 10) ASC')->get();
        $car_photos = $this->getCarPhotos();
        $ob_car->photos = $car_photos['photos'];
        $ob_car->image = $car_photos['image'];


        $car_optionals = CarOptional::where('car_id', $ob_car->id)->get();
        if ($car_optionals) {
            $ob_car->array_optionals = [];
            $ob_car->optionals = [];
            foreach ($car_optionals as $opt) {
                $ob_car->array_optionals[] = $opt->optional->id;
                $ob_car->optionals[] = $opt->optional->toArray();
            }
        }

        $car_negotiations = Room::where('car_id', $this->car->id)->count();
        $car_calls = Call::where('car_id', $this->car->id)->count();

        $ob_car->chats = $car_negotiations;
        $ob_car->calls = $car_calls;

        $ob_car->car_negotiations = $car_negotiations + $car_calls;

        // Fipe percent
        $ob_car->fipe_percent_off = null;
        $fipe_percent_off = ($this->car->price - $this->car->fipe_price) / $this->car->fipe_price * 100;
        $ob_car->fipe_percent_off = number_format($fipe_percent_off) . '%';

        $ob_car->is_negociando = false; // não existe mais o status em negociação
        $ob_car->ad = false;

        /* turbo é um anúncio que teve patrocínio e foi pago portanto tem acesso a tela de estatística */
        $ob_car->turbo = false;

        $car_turbo = CarTurbo::where('car_id', $ob_car->id)->where('order_status', 'ORDER.PAID')->get();

        if ($car_turbo->count() > 0) {
            $ob_car->turbo = true;
        }

        // Does the store of the car have a site?
        if ($this->car->store) {
            if ($this->car->store->site) {
                $ob_car->site_url = $this->car->store->site_url;
            }
            $ob_car->has_delivery = (bool)$this->car->store->has_delivery;
        }

        /*
                if ($user_id) {
                    //$availability = new Availability();
                    //@TODO refatorar a Ad para receber algo que indique quais dados do usuário serão pesquisados
                    $availability = new StateAvailability();
                    $usuario = $is_mine ? $this->car->user : User::find($user_id);
                    $ad = new Ad($usuario, $this->car, $availability);
                    $ob_car->ad = $ad->getAd();
                }
        */

        return $ob_car;
    }


    public function getInteressados()
    {
        $car_id = $this->car->id;
        /** @var Room $interessados */
        $queryInteressados = Room::join('user', 'user.id', '=', 'rooms.comprador_id')
            ->join('user_type', 'user_type.id', '=', 'user.user_type')
            ->where('car_id', $car_id);

        return $queryInteressados->select('user.id', 'user.name as nome', 'user_type.name as tipo',
            'rooms.created_at')->get();

    }

    public function getCalls()
    {
        $car_id = $this->car->id;

        /** @var Call $queryInteressados */
        $queryInteressados = Call::join('user', 'user.id', '=', 'calls.comprador_id')
            ->join('user_type', 'user_type.id', '=', 'user.user_type')
            ->where('car_id', $car_id);

        return $queryInteressados->select('user.id', 'user.name as nome', 'user_type.name as tipo',
            'calls.created_at')->get();


    }

    public function getNegotiations()
    {
        $car_id = $this->car->id;
        $query = '
            SELECT
            r.id as room_id,
            r.car_id,
            r.comprador_id,
            c.user_id as vendedor_id,                                                                   
            m.json,
            m.created_at                        
            FROM rooms r 
            JOIN car c ON c.id = r.car_id 
            LEFT JOIN messagepool m ON r.id = m.room_id AND m.id = (SELECT m.id FROM messagepool m WHERE m.room_id = r.id AND m.msg_type = 1 ORDER BY m.created_at DESC LIMIT 1)
            WHERE c.id = :carid
            ORDER BY m.created_at DESC
            ';

        $queryParameters = [
            'carid' => $car_id
        ];
        $chats = \DB::select($query, $queryParameters);
        $car_sell = CarSell::where(['car_id' => $car_id])->first();

        $ar_chats = array();

        foreach ($chats as $chat) {
            $ob_chat = (object)$chat;

            if ($chat->json !== null) {
                $message = json_decode($chat->json);
                $ob_chat->message = isset($message->message) ? $message->message : null;
                $ob_chat->audio = isset($message->audio) ? $message->audio : null;
                $ob_chat->image = isset($message->image) ? $message->image : null;
                $ob_chat->created_at = TimeParser::format($ob_chat->created_at);
            } else {
                $ob_chat->message = null;
                $ob_chat->audio = null;
                $ob_chat->image = null;
            }

            unset($ob_chat->json, $message);


            $ob_chat->client = (object)User::find($ob_chat->comprador_id)->toArray();

            if (isset($car_sell->user_buy_id)) {


                if ($car_sell->user_buy_id == $ob_chat->comprador_id) {
                    $ob_chat->client->is_comprador = true;
                } else {
                    $ob_chat->client->is_comprador = false;
                }
            }


            array_push($ar_chats, $ob_chat);
        }

        return $ar_chats;

    }


    public function getShortObject()
    {
        $ob_car = (object)$this->car->toArray();

        $user = User::where('id', $ob_car->user_id)->get(['id', 'dealership', 'name', 'city', 'state', 'user_type'])->first();
        $ob_car->user = (object)$user->toArray();


        $user_type = UserType::find($ob_car->user->user_type);
        $ob_car->user->type = ($user_type ? $user_type->toArray() : ['id' => 0, 'name' => 'Não Informado']);

        $color = Color::find($ob_car->color_id);
        $ob_car->color = (object)$color->toArray();

        $car_status = CarStatus::find($ob_car->car_status_id);
        $ob_car->car_status = (object)$car_status->toArray();

        $brand = Brand::find($ob_car->brand_id);
        $ob_car->brand = (object)$brand->toArray();


        $fipe = Fipe::find($ob_car->fipe_id);
        $ob_car->fipe = (object)$fipe->toArray();

        $ob_car->image = null;
        //$car_photo = CarPhoto::where('car_id', $ob_car->id)->first();
        $car_photos = $this->getCarPhotos();

        $ob_car->image = $car_photos['image'];
        $ob_car->photos = $car_photos['photos'];

        // Fipe percent
        $ob_car->fipe_percent_off = null;
        $fipe_percent_off = ($this->car->price - $this->car->fipe_price) / $this->car->fipe_price * 100;
        $ob_car->fipe_percent_off = number_format($fipe_percent_off) . '%';
        $ob_car->has_delivery = (bool)$this->car->store->has_delivery;

        if (!$ob_car->has_delivery) {
            $ob_car->user->dealership = mb_substr($ob_car->user->dealership, 0, 1) . '...';
            unset($ob_car->user->name);
        }

        // dá uma limpada nos anúncios por dados sensíveis
        unset($ob_car->observation);

        return $ob_car;
    }

    public function getCarPhotos(): array
    {
        $car_photos = CarPhoto::where('car_id', $this->car->id)->orderByRaw('COALESCE(photo_order, 10) ASC')->get();

        if ($car_photos->isEmpty()) {
            $photos = [
                'photos' => [],
                'image' => null
            ];
        } else {
            $car_photos = $car_photos->toArray();
            $photos = [
                'photos' => $car_photos,
                'image' => $car_photos[0]['filename']
            ];
        }

        return $photos;
    }

    public function setFirstPhoto($photo_id): bool
    {
        // A lógica é pegar todas as fotos e no foreach, setar 1 onde a id é igual a photo id e setar null no resto.
        $car_photos = CarPhoto::where('car_id', $this->car->id)->get();

        if ( !$car_photos->isEmpty() ) {
            foreach ($car_photos as $photo) {
                //
                if ($photo->id === $photo_id) {
                    $photo->photo_order = 1;
                    $photo->save();
                } else {
                    $photo->photo_order = null;
                    $photo->save();
                }
            }

            $status = true;
        } else {
            $status = false;
        }

        return $status;

    }


}