<?php

namespace App\Repasse\Integration\Cep\Geocoder;

use App\Repasse\Integration\Cep\CepFetchInterface;
use App\Repasse\Integration\Cep\DTO\FetchCepDTO;
use Geocoder\Laravel\Facades\Geocoder;

class GeocoderCepFetch implements CepFetchInterface
{

    public function fetchCep($cep): FetchCepDTO
    {
        $cep = preg_replace("/[^0-9]/", "", $cep);
        // Geocoder tem cache próprio
        $localidades = Geocoder::geocode("{$cep}, Brazil")->get();

        if ($localidades) {
            foreach ($localidades as $localidade) {
                return new FetchCepDTO(
                    $cep,
                    $localidade->getStreetName(),
                    $localidade->getStreetName(),
                    $localidade->getAdminLevels()->get(2)->getName(),
                    $localidade->getAdminLevels()->get(1)->getCode()
                );
            }
        }
    }
}