<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 06/12/2018
 * Time: 11:17
 */

namespace App\Repasse\Integration\Podio\Models;


use App\Admin\Dashboard\Models\CarSell;

class BuyerFields implements FieldsInterface
{
    protected $data = [
        'external_id' => null,
        'fields' => [
            'comprador' => null,
            'veiculo-comprado' => null,
            'nome-responsavel' => null,
            'tipo-do-usuario' => null,
            'data-da-compra' => ['start' => '']
        ]
    ];

    public function __construct(CarSell $carSell)
    {
        $this->data['external_id'] = (string)$carSell->id;

        if ((int)$carSell->user_buy_id === 0) {
            unset($this->data['fields']['comprador'], $this->data['fields']['tipo-do-usuario']);
        } else {
            $this->data['fields']['tipo-do-usuario'] = $carSell->user_buy->type->name;
        }

        $this->data['fields']['nome-responsavel'] = $carSell->user_sell->name;
        $this->data['fields']['data-da-compra']['start'] = $carSell->created_at->toDateTimeString();

    }

    public function toPodio(): array
    {
        if ($this->data['external_id'] === null) {
            throw new \InvalidArgumentException('Missing data');
        }

        return $this->data;
    }
}