<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 11/01/2019
 * Time: 10:54
 */

namespace App\Repasse\Integration\Podio\Models;


use App\Admin\Dashboard\Models\ContactType;

class ContactFields implements FieldsInterface
{

    protected $data = [
        'external_id' => null,
        'fields' => [
            'titulo' => null,
            'sobrenome' => null,
            'ddd' => null,
            'telefone' => ['type' => 'main', 'value' => null],
            'email' => ['type' => 'work', 'value' => null],
            'cidade' => null,
            'estado' => null
        ]
    ];


    public function __construct($data)
    {
        $this->data['fields']['titulo'] = $data['nome'];
        $this->data['fields']['sobrenome'] = $data['sobrenome'];
        $this->data['fields']['ddd'] = (int)preg_replace('/[^0-9]/', '', $data['ddd']);
        $this->data['fields']['telefone']['value'] = $data['celular'];
        $this->data['fields']['email']['value'] = $data['email'];
        $this->data['fields']['cidade'] = $data['cidade'];
        $this->data['fields']['estado'] = $data['estado'];

        if (isset($data['profissional'])) {
            $profissional = ContactType::where('name', $data['profissional'])->first();

            if ($profissional) {
                $this->data['fields']['selecione'] = (int)$profissional->podio_id;
            }
        }

        if (isset($data['mensagem'])) {
            $this->data['fields']['mensagem'] = $data['mensagem'];
        }

    }

    public function toPodio(): array
    {
        foreach($this->data['fields'] as $key => $value) {
            if (empty($value)) {
                unset($this->data['fields'][$key]);
            }
        }

        return $this->data;
    }
}