<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 02/10/2018
 * Time: 10:47
 */

namespace App\Repasse\Moderator;


use Closure;
use Log;

class CheckFipeValue implements ModeratorInterface
{

    protected $threshold = -50;

    protected $points = 5;

    public function handle($content, Closure $next)
    {
        // Recalcular a fipe e verificar se é menor que o limite
        $fipe = ($content->price - $content->fipe_price) / $content->fipe_price * 100;

        if ($this->threshold > $fipe) {
            $content->reasons[] = [
                'analise' => 'Limite da Fipe',
                'score' => $this->points,
                'reason' => 'Anúncio muito abaixo da Fipe'
            ];

            $content->score -= $this->points;
        }

        return $next($content);
    }
}