<?php

namespace App\Repasse\Moderator;

use App\Admin\Dashboard\Models\Car;
use App\Repasse\Moderator\ModeratorInterface;
use Closure;

class CheckIsUserFirstListing implements ModeratorInterface
{

    protected $points = 5;


    public function handle($content, Closure $next)
    {
        $anuncios = Car::join('car_publish', 'car.id', '=', 'car_publish.car_id')
            ->where('id', '!=', $content->id)
            ->where('user_id', '=', $content->user->id)->get();
        if ($anuncios->count() == 0) {
            $content->score -= $this->points;
            $content->reasons[] = [
                'analise' => 'Primeiro Anúncio',
                'score' => $this->points,
                'reason' => 'Este é o primeiro anúncio deste usuário'
            ];
        }
        return $next($content);
    }
}