<?php

namespace App\Repasse\Moderator;

use App\Admin\Dashboard\Models\Car;
use App\Auth\Models\UserType;
use Closure;
use Illuminate\Support\Facades\Log;

class CheckRepassador implements ModeratorInterface
{
    protected $points = 5;

    protected $limiteAnunciosRepassador = 3;

    public function handle($content, Closure $next)
    {

        // usuário repassador que tiver menos que três anuncios é moderado
        if ( (int) $content->user->user_type === UserType::REPASSADOR ) {
            Log::info(__METHOD__ . ' Usuário Repassador ');
            // contar os anúncios publicados pelo usuário
            $anuncios = Car::where('user_id', '=', $content->user_id)->whereNotNull('published_at')->count();
            if ($anuncios < $this->limiteAnunciosRepassador) {
                $content->reasons[] = [
                    'analise' => 'Anúncio de Repassador',
                    'score' => $this->points,
                    'reason' => "Este é o anúncio número {$anuncios} deste repassador"
                ];

                $content->score -= $this->points;
            }
        }
        return $next($content);
    }
}