<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 29/10/2018
 * Time: 17:46
 */

namespace App\Repasse\Push;


class PushToSegment
{
    protected $parameters = [
        'included_segments' => [],
        'headings' => [
            'en' => null
        ],
        'contents' => [
            'en' => null
        ],
        'android_group' => 7,
        'android_group_message' => [
            'en' => '$[notif_count] Aviso(s) '
        ],
        'small_icon' => 'repasse_small_icon_white',
        'large_icon' => 'repasse_icon'
    ];

    public function __construct(array $segment, $heading, $contents)
    {
        $this->parameters['included_segments'] = $segment;
        $this->setHeading($heading);
        $this->setContent($contents);
    }

    public function getParameters(): array
    {
        return $this->parameters;
    }

    public function setHeading($heading)
    {
        $this->parameters['headings']['en'] = $heading;
        return $this;
    }

    public function setContent($text)
    {
        $this->parameters['contents']['en'] = $text;
        return $this;
    }

    public function setData(array $data)
    {
        $this->parameters['data'] = $data;
        return $this;
    }

    public function setUrl($url)
    {
        $this->parameters['url'] = $url;
        return $this;
    }

}