<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Default Filesystem Disk
    |--------------------------------------------------------------------------
    |
    | Here you may specify the default filesystem disk that should be used
    | by the framework. A "local" driver, as well as a variety of cloud
    | based drivers are available for your choosing. Just store away!
    |
    | Supported: "local", "ftp", "s3", "rackspace"
    |
    */

    'default' => 'local',

    /*
    |--------------------------------------------------------------------------
    | Default Cloud Filesystem Disk
    |--------------------------------------------------------------------------
    |
    | Many applications store files both locally and in the cloud. For this
    | reason, you may specify a default "cloud" driver here. This driver
    | will be bound as the Cloud disk implementation in the container.
    |
    */

    'cloud' => 's3',

    /*
    |--------------------------------------------------------------------------
    | Filesystem Disks
    |--------------------------------------------------------------------------
    |
    | Here you may configure as many filesystem "disks" as you wish, and you
    | may even configure multiple disks of the same driver. Defaults have
    | been setup for each driver as an example of the required options.
    |
    */

    'disks' => [

        'local' => [
            'driver' => 'local',
            'root'   => storage_path('app'),
        ],

        'uploads' => [
            'driver' => 'local',
            'root'   => public_path() . '/uploads',
        ],
        'user-avatar' => [
            'driver' => 'local',
            'root' => public_path() . '/uploads/avatar'
        ],
        'anuncio-imagem' => [
            'driver' => 'local',
            'root'   => public_path() . '/uploads/gallery'
        ],
        'chat-images' => [
            'driver' => 'local',
            'root' => storage_path('chat-images')
        ],

        'chat-audios' => [
            'driver' => 'local',
            'root' => storage_path('chat-audios')
        ],
        'fipe' => [
            'driver' => 'local',
            'root' => storage_path('fipe')
        ],
        'ads' => [
            'driver' => 'local',
            'root'   => public_path() . '/uploads/ads'
        ],
        'carqueries' => [
            'driver' => 'local',
            'root'   => storage_path('carqueries')
        ],
        'lastseen' => [
            'driver' => 'local',
            'root'   => storage_path('lastseen')
        ],

        'ftp' => [
            'driver'   => 'ftp',
            'host'     => 'ftp.example.com',
            'username' => 'your-username',
            'password' => 'your-password',

            // Optional FTP Settings...
            // 'port'     => 21,
            // 'root'     => '',
            // 'passive'  => true,
            // 'ssl'      => true,
            // 'timeout'  => 30,
        ],

        's3' => [
            'driver' => 's3',
            'key'    => 'your-key',
            'secret' => 'your-secret',
            'region' => 'your-region',
            'bucket' => 'your-bucket',
        ],

        'rackspace' => [
            'driver'    => 'rackspace',
            'username'  => 'your-username',
            'key'       => 'your-key',
            'container' => 'your-container',
            'endpoint'  => 'https://identity.api.rackspacecloud.com/v2.0/',
            'region'    => 'IAD',
            'url_type'  => 'publicURL',
        ],

    ],

];
