<?php

return [
    // Authorization
    'clientId' => env('PODIO_CLIENT_ID', null),
    'clientSecret' => env('PODIO_CLIENT_SECRET', null),

    // Podio username / password (optional)
    'username' => env('PODIO_USERNAME', null),
    'password' => env('PODIO_PASSWORD', null),

    'options' => [
         'session_manager' => \App\Repasse\Integration\Podio\Sessions\PodioDatabaseSession::class,
        // curl_options => '',
    ],

    // Apps
    'apps' => [
        [
            // Select an alias for your application
            'name' => 'Publicações',
            // Application credentials
            'id' => env('PODIO_APP_PUB_ID', null),
            'token' => env('PODIO_APP_PUB_TOKEN', null),
            // Misc
            'user_type_field' => env('PODIO_APP_PUB_USER_FIELD', 'tipo-de-usuario')
        ],
        [
            'name' => 'Compradores',
            'id' => env('PODIO_APP_BUY_ID', null),
            'token' => env('PODIO_APP_BUY_TOKEN', null)
        ],
        [
            'name' => 'Usuários',
            'id' => env('PODIO_APP_USR_ID', null),
            'token' => env('PODIO_APP_USR_TOKEN', null),
            'id_field' => env('PODIO_APP_USR_ID_FIELD', null),
            'lastseen_field' => env('PODIO_APP_USR_LAST_FIELD', null)
        ],
        [
            'name' => 'Contatos',
            'id' => env('PODIO_APP_CNT_ID', null),
            'token' => env('PODIO_APP_CNT_TOKEN', null)
        ],
        [
            'name' => 'Avaliações',
            'id' => env('PODIO_APP_RTG_ID', null),
            'token' => env('PODIO_APP_RTG_TOKEN', null),
            'origin_field' => env('PODIO_AP_RTG_ORIGIN_FIELD', 'origem')
        ],


    ],
];
