<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('user_id')->unsigned();
            $table->decimal('total', 11,2);
            $table->decimal('subtotal', 11,2);
            $table->decimal('discount', 11,2);
            $table->string('transaction_code', 255)->nullable()->comment('Código de retorno da transação');
            $table->tinyInteger('status')->default(0)->comment('0=Aguardando Pagamento, 1=Pagamento Aprovado, 2=Pedido Cancelado, 3=Falha no Pagamento');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('orders');
    }
}
