<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateVouchersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //
        Schema::create('vouchers', function(Blueprint $table) {
            $table->increments('id');
            $table->string('code')->unique();
            $table->integer('product_id')->unsigned();
            $table->integer('usage_limit')->default(1);
            $table->tinyInteger('status')->default(1)->comment('0=Cancelado, 1=Ativo, 2=Utilizado');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
        Schema::drop('vouchers');
    }
}
