<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;

class PerformanceTunningMessagePoolTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //
        Schema::table('messagepool', static function (Blueprint $table) {
            $table->index('room_id');
            $table->index(['receiver_id', 'status']);
            $table->index('status');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
        Schema::table('messagepool', static function (Blueprint $table) {
            $table->dropIndex('messagepool_room_id_index');
            $table->dropIndex('messagepool_receiver_id_status_index');
            $table->dropIndex('messagepool_status_index');
        });
    }
}
