@extends('pdf.template')

@section('content')

    <?php $response = json_decode( $data->response ); ?>

    <!-- Card Resumo do veículo -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__content">
                    <table class="vehicle__info">
                        <tr>
                            <td class="first__col">
                                <table class="resume__info">
                                    <tr>
                                        <td>
                                            <table class="license__plate">
                                                <tr>
                                                    <td class="country">Brasil</td>
                                                </tr>
                                                <tr>
                                                    <td class="number">{{ substr( $response->valor_pesquisado, 0, 3 ) }} - {{ substr( $response->valor_pesquisado, 3, 4 ) }}</td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="year__model">{{ $response->dados_veiculo->ano_fabricacao }}/{{ $response->dados_veiculo->ano_modelo }}</td>
                                    </tr>
                                    <tr>
                                        <td class="vehicle">{{ $response->dados_veiculo->marca }} / {{ $response->dados_veiculo->modelo }} {{ $response->dados_veiculo->cor }} / {{ ( $response->dados_veiculo->combustivel ) }}</td>
                                    </tr>
                                </table>
                            </td>
                            <td class="second__col">
                                <table>
                                    <tr>
                                        <td class="vehicle__title">{{ $response->dados_veiculo->marca }} / {{ $response->dados_veiculo->modelo }} {{ $response->dados_veiculo->ano_fabricacao }}/{{ $response->dados_veiculo->ano_modelo }}</td>
                                    </tr>
                                </table>
                                <table class="table table__vehicle opposite__side">
                                    <tr>
                                        <td class="label">Data de Consulta</td>
                                        <td class="text">{{ $data->created_at->format('d/m/Y H:i:s') }}</td>
                                    </tr>

                                    <tr>
                                        <td class="label">Marca/Modelo</td>
                                        <td class="text">{{ $response->dados_veiculo->marca }} / {{ $response->dados_veiculo->modelo }}</td>
                                    </tr>

                                    <tr>
                                        <td class="label">Ano/Modelo</td>
                                        <td class="text">{{ $response->dados_veiculo->ano_fabricacao }}/{{ $response->dados_veiculo->ano_modelo }}</td>
                                    </tr>

                                    <tr>
                                        <td class="label">Cor/Combustível</td>
                                        <td class="text">{{ $response->dados_veiculo->cor }}/{{ ( $response->dados_veiculo->combustivel ) }}</td>
                                    </tr>

                                    <tr>
                                        <td class="label">Cidade/UF (BIN)</td>
                                        <td class="text">{{ $response->dados_veiculo->cidade }} - {{ $response->dados_veiculo->estado }}</td>
                                    </tr>

                                    @if( !is_null( $response->dados_veiculo->chassi ) )
                                    <tr>
                                        <td class="label">Chassi (BIN)</td>
                                        <td class="text">{{ $response->dados_veiculo->chassi }}</td>
                                    </tr>
                                    @endif

                                    @if( !is_null( $response->dados_tecnicos->motor ) )
                                        <tr>
                                            <td class="label">Motor (BIN)</td>
                                            <td class="text">{{ $response->dados_tecnicos->motor }}</td>
                                        </tr>
                                    @endif

                                    @if( !is_null( $response->dados_tecnicos->cambio ) )
                                        <tr>
                                            <td class="label">Câmbio</td>
                                            <td class="text">{{ $response->dados_tecnicos->cambio }}</td>
                                        </tr>
                                    @endif
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Resumo do veículo -->

     <!-- Card Resultado das fontes pesquisadas -->
    <div class="content__item" style="margin-bottom: 40px;">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="title">
                        <tr>
                            <td class="text">Resultado das fontes pesquisadas</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table class="table opposite__side">
                        <tr>
                            <td class="label">
                                <table class="group">
                                    <tr>
                                        <td class="icon">
                                            @if( $response->restricao_judicial_bin->sucesso == 0 )
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                            @else
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                            @endif
                                        </td>
                                        <td class="text">Restrição Judicial</td>
                                    </tr>
                                </table>
                            </td>
                            @if( $response->restricao_judicial_bin->sucesso == 1 )
                                <td class="text middle">{{ $response->restricao_judicial_bin->resultado }}</td>
                            @else:
                                <td class="text middle">Não constam registros na base de dados pesquisada.</td>
                            @endif
                        </tr>
                        <tr>
                            <td class="label">
                                <table class="group">
                                    <tr>
                                        <td class="icon">
                                            @if( $response->gravames->sucesso == 1 )
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                            @else
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                            @endif
                                        </td>
                                        <td class="text">Gravames Diversos</td>
                                    </tr>
                                </table>
                            </td>
                            @if( $response->gravames->sucesso == 1 )
                                <td class="text middle">{{ ucfirst( $response->gravames->resultado ) }}</td>
                            @else
                                <td class="text middle">Não constam registros na base de dados pesquisada.</td>
                            @endif
                        </tr>
                        <tr>
                            <td class="label">
                                <table class="group">
                                    <tr>
                                        <td class="icon">
                                            @if( $response->flagrantes_de_transito->sucesso == 1 )
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                            @else
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                            @endif
                                        </td>
                                        <td class="text">Sinistros e Flagrantes</td>
                                    </tr>
                                </table>
                            </td>
                            @if( $response->flagrantes_de_transito->sucesso == 1 )
                                <td class="text middle">{{ ucfirst( $response->flagrantes_de_transito->resultado ) }}</td>
                            @else
                                <td class="text middle">Não constam registros na base de dados pesquisada.</td>
                            @endif
                        </tr>
                        <tr>
                            <td class="label">
                                <table class="group">
                                    <tr>
                                        <td class="icon">
                                            @if( $response->flagrantes_de_transito->sucesso == 1 )
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                            @else
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                            @endif
                                        </td>
                                        <td class="text">Flagrantes de Trânsito</td>
                                    </tr>
                                </table>
                            </td>
                            @if( $response->flagrantes_de_transito->sucesso == 1 )
                                <td class="text middle">{{ $response->flagrantes_de_transito->resultado }}</td>
                            @else
                                <td class="text middle">Não constam registros na base de dados pesquisada.</td>
                            @endif
                        </tr>
                        <tr>
                            <td class="label">
                                <table class="group">
                                    <tr>
                                        <td class="icon">
                                            @if( $response->debitos->sucesso == 1 )
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                            @else
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                            @endif
                                        </td>

                                        <td class="text middle">Débitos</td>
                                    </tr>
                                </table>
                            </td>
                            <td class="text middle">{{ ucfirst( $response->debitos->resultado ) }}</td>
                        </tr>
                        <tr>
                            <td class="label">
                                <table class="group">
                                    <tr>
                                        <td class="icon">
                                            @if( $response->leilao->sucesso == 1 )
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                            @else
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                            @endif
                                        </td>
                                        @if( $response->leilao->sucesso == 1 )
                                            <td class="text">{{ ucfirst( $response->leilao->resultado ) }}</td>
                                        @else
                                            <td class="text">Publicação em edital de notificação e/ou leilão público</td>
                                        @endif
                                    </tr>
                                </table>
                            </td>
                            <td class="text middle">Não constam registros na base de dados pesquisada.</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Resultado das fontes pesquisadas -->



    <!-- Seção informações do veículo -->
    <table class="group section__title">
        <tr>
            <td class="icon middle">
                <img width="24" height="24" src="{{ asset('img/theme/icon-veiculo.png') }}" alt="">
            </td>
            <td class="text middle">Informações do Veículo</td>
        </tr>
    </table>
    <!-- Seção informações do veículo -->
    <!-- Card Dados do veículo -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="title">
                        <tr>
                            <td class="text">Dados do veículo</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table>
                        <tr>
                            <td class="first__col">
                                <table class="table opposite__side">
                                    <tr>
                                        <td class="label">Placa</td>
                                        <td class="text">{{ substr( $response->valor_pesquisado, 0, 3 ) }} - {{ substr( $response->valor_pesquisado, 3, 4 ) }}</td>
                                    </tr>
                                    <tr>
                                        <td class="label">Marca</td>
                                        <td class="text">{{ $response->dados_veiculo->marca }}</td>
                                    </tr>
                                    <tr>
                                        <td class="label">Modelo</td>
                                        <td class="text">{{ $response->dados_veiculo->modelo }}</td>
                                    </tr>
                                    <tr>
                                        <td class="label">Chassi</td>
                                        <td class="text">{{ $response->dados_veiculo->chassi }}</td>
                                    </tr>

                                    @if( $response->dados_veiculo->renavam != 0 )
                                        <tr>
                                            <td class="label">Renavam</td>
                                            <td class="text">{{ $response->dados_veiculo->renavam }}</td>
                                        </tr>
                                    @endif

                                    <tr>
                                        <td class="label">Ano/Modelo</td>
                                        <td class="text">{{ $response->dados_veiculo->ano_fabricacao }}/{{ $response->dados_veiculo->ano_modelo }}</td>
                                    </tr>

                                    <tr>
                                        <td class="label">Procedência</td>
                                        <td class="text">{{ $response->dados_veiculo->procedencia }}</td>
                                    </tr>
                                </table>
                            </td>
                            <td class="second__col">
                                <table class="table opposite__side">
                                    <tr>
                                        <td class="label">Cidade/Estado</td>
                                        <td class="text">{{ $response->dados_veiculo->cidade }}-{{ $response->dados_veiculo->estado }}</td>
                                    </tr>
                                    <tr>
                                        <td class="label">Combustível</td>
                                        <td class="text">{{ $response->dados_veiculo->combustivel }}</td>
                                    </tr>
                                    <tr>
                                        <td class="label">Cor</td>
                                        <td class="text">{{ $response->dados_veiculo->cor }}</td>
                                    </tr>
                                    <tr>
                                        <td class="label">Espécie</td>
                                        <td class="text">{{ $response->dados_veiculo->especie }}</td>
                                    </tr>
                                    <tr>
                                        <td class="label">Nº passageiros</td>
                                        <td class="text">{{ $response->dados_veiculo->numero_passageiros }}</td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Dados do veículo -->

    <!-- Card Dados técnicos -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="title">
                        <tr>
                            <td class="text">Dados técnicos</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table>
                        <tr>
                            <td class="first__col">
                                <table class="table opposite__side">

                                    @if( !is_null( $response->dados_tecnicos->tipo ) )
                                        <tr>
                                            <td class="label">Tipo</td>
                                            <td class="text">{{ $response->dados_tecnicos->tipo }}</td>
                                        </tr>
                                    @endif

                                    @if( !is_null( $response->dados_tecnicos->documento_faturado ) )
                                        <tr>
                                            <td class="label">Doc. Faturado</td>
                                            <td class="text">{{ $response->dados_tecnicos->documento_faturado }}</td>
                                        </tr>
                                    @endif

                                    @if( !is_null( $response->dados_tecnicos->motor ) )
                                        <tr>
                                            <td class="label">Nº Motor</td>
                                            <td class="text">{{ $response->dados_tecnicos->motor }}</td>
                                        </tr>
                                    @endif

                                    @if( !is_null( $response->dados_tecnicos->potencia ) )
                                        <tr>
                                            <td class="label">Potência</td>
                                            <td class="text">{{ $response->dados_tecnicos->potencia }}</td>
                                        </tr>
                                    @endif
                                </table>
                            </td>
                            <td class="second__col">
                                <table class="table opposite__side">
                                    @if( !is_null( $response->dados_tecnicos->subsegmento ) )
                                        <tr>
                                            <td class="label">Subsegmento</td>
                                            <td class="text">{{ $response->dados_tecnicos->subsegmento }}</td>
                                        </tr>
                                    @endif

                                    @if( !is_null( $response->dados_tecnicos->montagem ) )
                                        <tr>
                                            <td class="label">Montagem</td>
                                            <td class="text">{{ $response->dados_tecnicos->montagem }}</td>
                                        </tr>
                                    @endif

                                    @if( !is_null( $response->dados_tecnicos->cambio ) )
                                        <tr>
                                            <td class="label">N° Caixa Câmbio</td>
                                            <td class="text">{{ $response->dados_tecnicos->cambio }}</td>
                                        </tr>
                                    @endif

                                    @if( !is_null( $response->dados_tecnicos->cilindrada ) )
                                        <tr>
                                            <td class="label">Cilindradas</td>
                                            <td class="text">{{ $response->dados_tecnicos->cilindrada }}</td>
                                        </tr>
                                    @endif

                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Dados técnicos -->

    <!-- Card Veículos de carga -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="title">
                        <tr>
                            <td class="text">Veículos de carga</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table>
                        <tr>
                            <td class="first__col">
                                <table class="table opposite__side">
                                    <tr>
                                        <td class="label">N° Carroceria </td>
                                        <td class="text">{{ $response->dados_carga->numero_carroceria }}</td>
                                    </tr>
                                    <tr>
                                        <td class="label">N° Eixos Traseiros</td>
                                        <td class="text">{{ $response->dados_carga->numero_eixos_traseiros }}</td>
                                    </tr>

                                    @if( !is_null( $response->dados_carga->capacidade_tracao ) )
                                        <tr>
                                            <td class="label">Cap. de Tração</td>
                                            <td class="text">{{ $response->dados_carga->capacidade_tracao }}</td>
                                        </tr>
                                    @endif

                                    @if( !is_null( $response->dados_carga->capacidade_carga ) )
                                        <tr>
                                            <td class="label">Cap. de Carga</td>
                                            <td class="text">{{ $response->dados_carga->capacidade_carga }}</td>
                                        </tr>
                                    @endif
                                </table>
                            </td>
                            <td class="second__col">
                                <table class="table opposite__side">
                                    <tr>
                                        <td class="label">N° Eixos</td>
                                        <td class="text">{{ $response->dados_carga->numero_eixos }}</td>
                                    </tr>
                                    <tr>
                                        <td class="label">N° Eixos Auxiliares</td>
                                        <td class="text">{{ $response->dados_carga->numero_eixos_auxiliares }}</td>
                                    </tr>
                                    <tr>
                                        <td class="label">Peso Bruto</td>
                                        <td class="text">{{ $response->dados_carga->peso_bruto }}</td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Veículos de carga -->

    <!-- Card Comercialização 0km -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="title">
                        <tr>
                            <td class="text">Comercialização 0km</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                     <table class="table no__results">
                        <tr>
                            <td>{{ ucfirst( $response->comercializacao_okm->resultado ) }}</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Comercialização 0km -->

    <!-- Card Importação -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="title">
                        <tr>
                            <td class="text">Importação</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table class="table no__results">
                        <tr>
                            <td>{{ ucfirst( $response->importacao->resultado ) }}</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Importação -->

    <!-- Seção Bloqueios Diversos -->
    <table class="group section__title">
        <tr>
            <td class="icon middle">
                <img width="24" height="24" src="{{ asset('img/theme/icon-bloqueios.png') }}" alt="">
            </td>
            <td class="text middle">Bloqueios Diversos</td>
        </tr>
    </table>
    <!-- Seção Bloqueios Diversos -->
    <!-- Card bloqueios diversos -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__content">
                    <table class="table opposite__side">
                        <tr>
                            <td class="label">
                                <table class="group">
                                    <tr>
                                        <td class="icon">
                                            @if( $response->restricao_judicial_bin->sucesso == 0 )
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                            @else
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                            @endif
                                        </td>
                                        <td class="text">Restrição Judicial na BIN</td>
                                    </tr>
                                </table>
                            </td>
                            <td class="text">{{ ucfirst( $response->restricao_judicial_bin->resultado ) }}</td>
                        </tr>
                        <tr>
                            <td class="label">
                                <table class="group">
                                    <tr>
                                        <td class="icon">
                                            @if( $response->restricao_judicial_renajud->sucesso == 1 )
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                            @else
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                            @endif
                                        </td>
                                        <td class="text">Restrição Judicial no RENAJUD</td>
                                    </tr>
                                </table>
                            </td>
                            <td class="text">{{ ucfirst( $response->restricao_judicial_renajud->resultado ) }}</td>
                        </tr>
                        <tr>
                            <td class="label">
                                <table class="group">
                                    <tr>
                                        <td class="icon">
                                            @if( $response->comunicacao_roubo_furto->sucesso == 1 )
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                            @else
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                            @endif
                                        </td>
                                        <td class="text">Alerta de Roubo/Furto</td>
                                    </tr>
                                </table>
                            </td>
                            <td class="text">{{ ucfirst( $response->comunicacao_roubo_furto->resultado ) }}</td>
                        </tr>
                        <tr>
                            <td class="label">
                                <table class="group">
                                    <tr>
                                        <td class="icon">
                                            @if( $response->situacao_veiculo->sucesso == 0 )
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                            @else
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                            @endif
                                        </td>
                                        <td class="text">Situação Veículo</td>
                                    </tr>
                                </table>
                            </td>
                            <td class="text">{{ ucfirst( $response->situacao_veiculo->resultado ) }}.</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card bloqueios diversos -->




    <!-- Seção Gravames Diversos -->
    <table class="group section__title">
        <tr>
            <td class="icon middle">
                <img width="24" height="24" src="{{ asset('img/theme/icon-gravames.png') }}" alt="">
            </td>
            <td class="text middle">Gravames Diversos</td>
        </tr>
    </table>
    <!-- Seção Gravames Diversos -->
    <!-- Card Gravames Diversos -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__content">
                    <table class="table opposite__side">
                        <tr>
                            <td class="label">
                                <table class="group">
                                    <tr>
                                        <td class="icon">
                                            @if( $response->reserva_dominio->sucesso == 0 )
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                            @else
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                            @endif
                                        </td>
                                        <td class="text">Reserva de Domínio</td>
                                    </tr>
                                </table>
                            </td>
                            <td class="text">{{ $response->reserva_dominio->resultado }}</td>
                        </tr>
                        <tr>
                            <td class="label">
                                <table class="group">
                                    <tr>
                                        <td class="icon">
                                            @if( $response->restricao_tributaria->sucesso == 0 )
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                            @else
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                            @endif
                                        </td>
                                        <td class="text">Restrição Tributária</td>
                                    </tr>
                                </table>
                            </td>
                            <td class="text">{{ $response->restricao_tributaria->resultado }}</td>
                        </tr>
                        <tr>
                            <td class="label">
                                <table class="group">
                                    <tr>
                                        <td class="icon">
                                            @if( $response->arrendamento->sucesso == 0 )
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                            @else
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                            @endif
                                        </td>
                                        <td class="text">Arrendamento</td>
                                    </tr>
                                </table>
                            </td>
                            <td class="text">{{ $response->arrendamento->resultado }}</td>
                        </tr>
                        <tr>
                            <td class="label">
                                <table class="group">
                                    <tr>
                                        <td class="icon">
                                            @if( $response->alienacao->sucesso == 0 )
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                            @else
                                                <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                            @endif
                                        </td>
                                        <td class="text">Alienação</td>
                                    </tr>
                                </table>
                            </td>
                            <td class="text">{{ $response->alienacao->resultado }}</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Gravames Diversos -->




    <!-- Seção Sinistros e flagrantes -->
    <table class="group section__title">
        <tr>
            <td class="icon middle">
                <img width="24" height="24" src="{{ asset('img/theme/icon-sinistros.png') }}" alt="">
            </td>
            <td class="text middle">Sinistros e flagrantes</td>
        </tr>
    </table>
    <!-- Seção Sinistros e flagrantes -->
    <!-- Card Acidentes -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="group title">
                        <tr>
                            <td class="icon middle">
                                @if( $response->acidentes->sucesso == 1 )
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                @else
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                @endif
                            </td>
                            <td class="text middle">Acidentes</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table class="table no__results">
                        <tr>
                            <td>{{ ucfirst( $response->acidentes->resultado ) }}</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Acidentes -->

    <!-- Card Flagrantes de trânsito -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="group title">
                        <tr>
                            <td class="icon middle">
                                @if( $response->flagrantes_de_transito->sucesso == 0 )
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                @else
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                @endif
                            </td>
                            <td class="text middle">Flagrantes de trânsito</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table class="table no__results">
                        <tr>
                            <td>{{ $response->flagrantes_de_transito->resultado }}</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Flagrantes de trânsito -->

    <!-- Card Perda total (não contempla RNS) -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="group title">
                        <tr>
                            <td class="icon middle">
                                @if( $response->perda_total->sucesso == 1 )
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                @else
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                @endif
                            </td>
                            <td class="text middle">Perda total (não contempla RNS)</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table class="table no__results">
                        <tr>
                            <td>{{ $response->perda_total->resultado }}</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Perda total (não contempla RNS) -->




    <!-- Seção Utilização excessiva -->
    <!-- <table class="group section__title">
        <tr>
            <td class="icon middle">
                <img width="24" height="24" src="{{ asset('img/theme/icon-utilizacao.png') }}" alt="">
            </td>
            <td class="text middle">Utilização excessiva</td>
        </tr>
    </table> -->
    <!-- Seção Utilização excessiva -->
    <!-- Card Frota -->
   <!--  <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="group title">
                        <tr>
                            <td class="icon middle">
                                <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                            </td>
                            <td class="text middle">Frota</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table class="table no__results">
                        <tr>
                            <td>NÃO CONSTAM registros nas bases de dados pesquisadas.</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div> -->
    <!-- Card Frota -->




    <!-- Seção Informações Importantes -->
    <table class="group section__title">
        <tr>
            <td class="icon middle">
                <img width="24" height="24" src="{{ asset('img/theme/icon-informacoes.png') }}" alt="">
            </td>
            <td class="text middle">Informações Importantes</td>
        </tr>
    </table>
    <!-- Seção Informações Importantes -->
    <!-- Card Notificação extra judicial de orgão de defesa do consumidor -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="group title">
                        <tr>
                            <td class="icon middle">
                                @if( $response->notificacao_procon->sucesso == 1 )
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                @else
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                @endif
                            </td>
                            <td class="text middle">Notificação extra judicial de orgão de defesa do consumidor</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table class="table no__results">
                        <tr>
                            <td>{{ ucfirst( $response->notificacao_procon->resultado ) }}</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Notificação extra judicial de orgão de defesa do consumidor -->

    <!-- Card Quilometragem -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="group title">
                        <tr>
                            <td class="icon middle">
                                @if( $response->kilometragem->sucesso == 1 )
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                @else
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                @endif
                            </td>
                            <td class="text middle">Quilometragem</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table class="table no__results">
                        <tr>
                            <td>{{ ucfirst( $response->kilometragem->resultado ) }}</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Quilometragem -->

    <!-- Card Oriundo de seguradora -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="group title">
                        <tr>
                            <td class="icon middle">
                                @if( $response->oriundo_seguradora->sucesso == 1 )
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                @else
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                @endif
                            </td>
                            <td class="text middle">Oriundo de seguradora</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table class="table no__results">
                        <tr>
                            <td>{{ ucfirst( $response->oriundo_seguradora->resultado ) }}</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Oriundo de seguradora -->

    <!-- Card Oriundo de orgão público -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="group title">
                        <tr>
                            <td class="icon middle">
                                @if( $response->oriundo_seguradora->sucesso == 1 )
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                @else
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                @endif
                            </td>
                            <td class="text middle">Oriundo de orgão público</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table class="table no__results">
                        <tr>
                            <td>{{ ucfirst( $response->oriundo_seguradora->resultado ) }}</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Oriundo de orgão público -->

    <!-- Card Oriundo de locadora -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="group title">
                        <tr>
                            <td class="icon middle">
                                @if( $response->oriundo_locadora->sucesso == 1 )
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                @else
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                @endif
                            </td>
                            <td class="text middle">Oriundo de locadora</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table class="table no__results">
                        <tr>
                            <td>{{ ucfirst( $response->oriundo_locadora->resultado ) }}</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Oriundo de locadora -->

    <!-- Card Comunicação de roubo e furto sem B.O. via 190 -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="group title">
                        <tr>
                            <td class="icon middle">
                                @if( $response->comunicacao_roubo_furto->sucesso == 1 )
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                @else
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                @endif
                            </td>
                            <td class="text middle">Comunicação de roubo e furto sem B.O. via 190</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table class="table no__results">
                        <tr>
                            <td>{{ ucfirst( $response->comunicacao_roubo_furto->resultado ) }}</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Comunicação de roubo e furto sem B.O. via 190 -->

    <!-- Card Histórico de roubo e furto -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="group title">
                        <tr>
                            <td class="icon middle">
                                @if( $response->historico_roubo_furto->sucesso == 1 )
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                @else
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                @endif
                            </td>
                            <td class="text middle">Histórico de roubo e furto</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table class="table no__results">
                        <tr>
                            <td>{{ ucfirst( $response->historico_roubo_furto->resultado ) }}</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Histórico de roubo e furto -->

    <!-- Card Suspeita de divergência do motor -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="group title">
                        <tr>
                            <td class="icon middle">
                                @if( $response->divergencia_motor->sucesso == 1 )
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                @else
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                @endif
                            </td>
                            <td class="text middle">Suspeita de divergência do motor</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table class="table no__results">
                        <tr>
                            <td>{{ ucfirst( $response->divergencia_motor->resultado ) }}</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Suspeita de divergência do motor -->

    <!-- Card Suspeita de cor divergente -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="group title">
                        <tr>
                            <td class="icon middle">
                                @if( $response->divergencia_cor->sucesso == 1 )
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                @else
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                @endif
                            </td>
                            <td class="text middle">Suspeita de cor divergente</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table class="table no__results">
                        <tr>
                            <td>{{ ucfirst( $response->divergencia_cor->resultado ) }}</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Suspeita de cor divergente -->

    <!-- Card Alteração da cidade de circulação -->
    <!-- <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="group title">
                        <tr>
                            <td class="icon middle">
                                <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                            </td>
                            <td class="text middle">Alteração da cidade de circulação</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table class="table no__results">
                        <tr>
                            <td>NÃO CONSTAM registros nas bases de dados pesquisadas.</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div> -->
    <!-- Card Alteração da cidade de circulação -->

    <!-- Card Remarcação de chassi -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="group title">
                        <tr>
                            <td class="icon middle">
                                @if( $response->remarcacao_chassi->sucesso == 0 )
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                @else
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                @endif
                            </td>
                            <td class="text middle">Remarcação de chassi</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table class="table no__results">
                        <tr>
                            <td>{{ ucfirst( strip_tags( $response->remarcacao_chassi->resultado ) ) }}</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Remarcação de chassi -->

    <!-- Card Débitos - cortesia (não tarifada) -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="group title">
                        <tr>
                            <td class="icon middle">
                                @if( $response->debitos->sucesso == 1 )
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-alert.png') }}" alt="">
                                @else
                                    <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                                @endif
                            </td>
                            <td class="text middle">Débitos - cortesia (não tarifada)</td>
                        </tr>
                    </table>
                </td>
            </tr>
            @if( $response->debitos->sucesso == 1 )
                <tr>
                    <td class="card__content">
                        <table class="table">
                            <tr>
                                <th>Data</th>
                                <th>IPVA</th>
                                <th>Licenciamento</th>
                                <th>Multas</th>
                                <th>DPVAT</th>
                                <th>Valor Total</th>
                            </tr>
                            <tr>
                                <td>{{ $response->debitos->data }}</td>
                                <td>{{ $response->debitos->ipva }}</td>
                                <td>{{ $response->debitos->licenciamento }}</td>
                                <td>{{ $response->debitos->multas }}</td>
                                <td>{{ $response->debitos->dpvat }}</td>
                                <td>{{ $response->debitos->valor_total }}</td>
                            </tr>
                        </table>
                    </td>
                </tr>
            @endif
        </table>
    </div>
    <!-- Card Débitos - cortesia (não tarifada) -->

    <!-- <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__header">
                    <table class="group title">
                        <tr>
                            <td class="icon middle">
                                <img width="18" height="18" src="{{ asset('img/theme/icon-check.png') }}" alt="">
                            </td>
                            <td class="text middle">Indício de sinistro</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="card__content">
                    <table class="table no__results">
                        <tr>
                            <td>NÃO CONSTAM registros nas bases de dados pesquisadas.</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div> -->
    <!-- Card Indício de sinistro -->




    <!-- Seção Publicado em edital de notificação e/ou leilão público -->
    <table class="group section__title">
        <tr>
            <td class="icon middle">
                <img width="24" height="24" src="{{ asset('img/theme/icon-publicado.png') }}" alt="">
            </td>
            <td class="text middle">Publicado em edital de notificação e/ou leilão público</td>
        </tr>
    </table>
    <!-- Seção Publicado em edital de notificação e/ou leilão público -->
    <div class="content__item">
        <table class="card">
            <tr>
                <td class="card__content">
                    <table class="table no__results">
                        <tr>
                            <td>{{ ucfirst( $response->leilao->resultado ) }}</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <!-- Card Publicado em edital de notificação e/ou leilão público -->

@endsection