<!DOCTYPE html>
<html>
<head>
    <title>Repasse PDF</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
</head>
<body>

<style>
    * {
        font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
        font-size: 13px;
    }

    /* ********************************* */
    /* ********************************* */

    table {
        width: 100%;
        border-spacing: 0;
    }
    table tr th {
        vertical-align: top;
        text-align: left;
        font-weight: bold;
        padding-bottom: 5px;
        color: #666;
        border-bottom: 1px solid #ababab;
    }
    table tr td {
        vertical-align: top;
        text-align: left;
    }

    /* ********************************* */
    /* ********************************* */

    .table tr td {
        padding-bottom: 8px;
        padding-top: 8px;
        border-bottom: 1px solid #dadada;
    }
    .table tr .label {
        padding-right: 10px;
        color: #666;
    }
    .table tr .label .icon {
        padding-bottom: 0;
        padding-top: 2px;
        border-bottom: none;
    }
    .table tr .label .text {
        padding-bottom: 0;
        padding-top: 0;
        border-bottom: none;
    }
    .table tr .text {
        padding-left: 10px;
    }

    /* ********************************* */
    /* ********************************* */

    .opposite__side .text {
        text-align: right;
    }
    .opposite__side .group .text {
        text-align: left;
    }

    /* ********************************* */
    /* ********************************* */

    .no__results tr td {
        border-bottom: none;
    }

    /* ********************************* */
    /* ********************************* */

    .middle {
        vertical-align: middle;
    }

    /* ********************************* */
    /* ********************************* */

    .document {
        width: 100%;
        padding: 0;
        margin: 0;
        line-height: 1.35;
    }

    /* ********************************* */
    /* ********************************* */

    .header {
        background-color: #335180;
        border-bottom: 4px solid #c63f43;
        padding: 20px 30px 16px;
    }
    .header tr td {
        vertical-align: middle;
    }
    .header__image {
        width: 180px;
        padding-right: 30px;
    }
    .header__image img {
        /*display: block;*/
    }
    .header__title {
        font-size: 22px;
        font-weight: bold;
        color: #fff;
        line-height: 1.25;
    }

    /* ********************************* */
    /* ********************************* */

    .content {
        padding: 30px;
    }
    .content__item {
        padding-bottom: 25px;
    }

    /* ********************************* */
    /* ********************************* */

    .group tr td {
        vertical-align: top;
    }
    .group tr .text {
        padding-left: 0;
    }
    .group .middle {
        vertical-align: middle;
    }

    /* ********************************* */
    /* ********************************* */

    .title tr .text {
        font-size: 14px;
        font-weight: bold;
        line-height: 1.2;
        text-transform: uppercase;
    }

    /* ********************************* */
    /* ********************************* */

    .section__title {
        padding-bottom: 15px;
        padding-top: 5px;
    }
    .section__title tr .text {
        font-size: 20px;
        color: #335180;
        font-weight: bold;
        line-height: 1.2;
    }
    .section__title tr .icon {
        width: 24px;
    }

    /* ********************************* */
    /* ********************************* */

    .icon {
        width: 18px;
        padding-right: 10px;
    }
    .icon img {
        /*display: block;*/
    }

    /* ********************************* */
    /* ********************************* */

    .card {
        border-radius: 3px;
        border: 1px solid #dadada;
    }
    .card .card__header {
        padding: 10px 15px;
        border-bottom: 1px solid #dadada;
        background-color: #f5f5f5;
    }
    .card .card__content {
        padding: 15px;
    }

    /* ********************************* */
    /* ********************************* */

    .table__vehicle tr td {
        border-bottom: none;
    }
    .table__vehicle tr .label {
        color: #666;
    }
    .table__vehicle tr .text {
        text-transform: uppercase;
        font-size: 15px;
    }

    /* ********************************* */
    /* ********************************* */

    .first__col {
        padding-right: 15px;
        width: 50%;
    }
    .second__col {
        padding-left: 15px;
        width: 50%;
    }
    /* ********************************* */
    /* ********************************* */

    .vehicle__info .first__col {
        width: 30%;
    }
    .vehicle__info .year__model {
        font-size: 12px;
        color: #335180;
        font-weight: bold;
    }
    .vehicle__info .vehicle {
        font-size: 12px;
        text-transform: uppercase;
        font-weight: bold;
    }

    /* ********************************* */
    /* ********************************* */

    .resume__info tr td {
        padding-bottom: 5px;
    }

    /* ********************************* */
    /* ********************************* */

    .license__plate {
        border: 2px solid #000;
        border-radius: 5px;
    }
    .license__plate tr td {
        text-align: center;
    }
    .license__plate .country {
        background-color: #335180;
        color: #fff;
        font-size: 12px;
        padding: 5px;
        font-weight: bold;
        text-transform: uppercase;
        letter-spacing: 0.05em;
    }
    .license__plate .number {
        font-weight: bold;
        font-size: 16px;
        letter-spacing: 0.25em;
        padding: 5px;
    }

    /* ********************************* */
    /* ********************************* */

    .vehicle__title {
        color: #335180;
        font-size: 18px;
        padding-bottom: 15px;
    }
</style>

    <div class="document">
        <!-- Header -->
        <table class="header">
            <tr>
                <td class="header__image">
                    <img width="180" height="44" src="{{ asset('img/theme/repasse-logo.png') }}" alt="Repasse logo">
                </td>
                <td class="header__title">Relatório de Vistoria Cautelar e Procedência Veicular</td>
            </tr>
        </table>
        <!-- Header -->

        <!-- Content -->
        <div class="content">
            @yield('content')
        </div>
        <!-- Content -->
    </div>
</body>
</html>