<?php $__env->startSection('content'); ?>
<section id="dashboard-content">
    <div id="relNegociacoes" class="col-xs-12 section-content">
        <div class="row">
            <div id="rln-filtro" class="col-xs-12">
                <div class="main-button btn-transparente">
                    <span class="btn-inner_label">Ordenar:</span>
                    <select class="select">
                        <option selected>Recentes</option>
                        <option>Antigos</option>
                    </select>
                </div>
            </div>
            <div id="rln-content" class="col-xs-12">
                <?php foreach($negotiations as $negotiation): ?>
                    <div class="rln-item box-content box-col-3">
                        <div class="row">
                            <div class="text-cinza"><?php echo e($negotiation->created_at->format('d/m/Y')); ?></div>
                            <div class="col-xs-6 col-md-12">
                                <span class="main-button upper">
                                    Vendedor
                                </span>
                                <img alt="Imagem do usuário" class="img-responsive img-circle" src="<?php echo e(url('uploads/avatar/'. $negotiation->user_sell->photo )); ?>"
                                     width="70" height="70">
                                <div class="rln-item-nome">
                                    <?php echo e($negotiation->dealership); ?>

                                    <span class="text-cinza">
                                        <?php echo e($negotiation->user_sell->type['name']); ?><br>
                                        <?php echo e($negotiation->user_sell->city); ?>/<?php echo e($negotiation->user_sell->state); ?>

                                    </span>
                                </div>
                                <div class="rln-item-nome rln-item-nome-pessoa">
                                    <a href="<?php echo e(route('admin.user.edit', $negotiation->user_sell->id)); ?>"><?php echo e($negotiation->user_sell->name); ?></a>
                                    <span class="text-cinza"><?php echo e($negotiation->user_sell->email); ?></span>
                                    <span class="text-cinza"><?php echo e(mascara_telefone( $negotiation->user_sell->phone )); ?></span>
                                </div>
                                <p>
                                    <?php if($negotiation->reason_id !== 0): ?>
                                        <?php echo e($negotiation->reason->name); ?>

                                    <?php else: ?>
                                        <br>
                                    <?php endif; ?>
                                </p>
                            </div>

                            <div class="clearfix hidden-xs hidden-sm"></div>
                            <div class="bottom-line hidden-xs hidden-sm"></div>
                            <div class="col-xs-6 col-md-12">
                                <span class="main-button btn-verde upper">
                                    Comprador
                                </span>
                                <?php
                                if ( $negotiation->user_buy_id !== 0 ) {
                                    $img = url('uploads/avatar/'. $negotiation->user_buy->photo );
                                    $loja = $negotiation->user_buy->dealership;
                                    $nome = $negotiation->user_buy->name;
                                    $tipo = $negotiation->user_buy->type['name'];
                                    $cidade = $negotiation->user_buy->city;
                                    $estado = $negotiation->user_buy->state;
                                    $email  = $negotiation->user_buy->email;
                                    $telefone = mascara_telefone($negotiation->user_buy->phone);
                                } else {
                                    $img = url('img/backoffice/no-image.png');
                                    $loja = 'Não informada';
                                    $nome = 'Não informado';
                                    $tipo = 'Não informado';
                                    $cidade = 'Não informado';
                                    $estado = 'NI';
                                    $email  = 'Não Informado';
                                    $telefone = 'Não informado';
                                }

                                ?>
                                <img alt="Imagem enviada pelo usuário" class="img-responsive img-circle" src="<?php echo $img; ?>"
                                    width="70" height="70">
                                <div class="rln-item-nome">
                                    <?php echo e($loja); ?>

                                    <span class="text-cinza">
                                        <?php echo e($tipo); ?><br>
                                        <?php echo e($cidade); ?>/<?php echo e($estado); ?>

                                    </span>
                                </div>
                                <div class="rln-item-nome rln-item-nome-pessoa">
                                    <a href="<?php echo e($nome === 'Não informado' ? '#' : route('admin.user.edit', $negotiation->user_buy->id)); ?>"><?php echo e($nome); ?></a>
                                    <span class="text-cinza"><?php echo e($email); ?></span>
                                    <span class="text-cinza"><?php echo e($telefone); ?></span>
                                </div>
                            </div>
                            <div class="col-xs-12">
                                <div class="rln-item-veiculo">
                                    <?php if(count($negotiation->car->photos) == 0): ?>
                                        <img alt="Anúncio sem imagem" src="<?php echo e(url('img/backoffice/no-image.png')); ?>">
                                    <?php else: ?>
                                        <img alt="Imagem do anúncio" src="<?php echo e(url('uploads/gallery/'.$negotiation->car->photos[0]->filename)); ?>">
                                    <?php endif; ?>

                                    <div class="rln-item-nome">
                                        <?php echo e($negotiation->car->brand->name); ?>

                                        <span class="text-cinza"><a href="<?php echo e(route('admin.report.anuncio', $negotiation->car->id)); ?>"><?php echo e($negotiation->car->fipe->model); ?></a></span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <div class="rln-item-valor">
                                    <div>VALOR NEGOCIADO</div>
                                    <div class="rln-item-valor-wrapper">
                                        <div class="rln-item-valor-simbolo">R$ </div>
                                        <div class="rln-item-valor-principal">
                                            <?php echo e(number_format($negotiation->car->price,2,',','.')); ?>

                                        </div> <!--<div class="rln-item-valor-decimal">.00</div>-->
                                         <span class="label label-danger"> <?php echo e($negotiation->car->fipeoff); ?> </span>
                                    </div>

                                    <div class="clearfix"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
            <div style="text-align: center">
                    <?php echo $negotiations->render(); ?>

            </div>
        </div>
    </div>
</section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>