<?php

use Illuminate\Foundation\Testing\WithoutMiddleware;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Illuminate\Foundation\Testing\DatabaseTransactions;

class AvisoControllerTest extends TestCase
{
    // use DatabaseTransactions;

    protected function storeInput($element, $text)
    {
        $this->assertFilterProducesResults($element);
        $element = str_replace('#', '', $element);
        $element = str_replace("[]", "", $element);
        $this->inputs[$element] = $text;
        return $this;
    }

    public function testViewLoad()
    {
        $this->withoutMiddleware();
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/products/avisos')
            ->see('Avisos')
            ->see('Nome')
            ->see('Tipo')
            ->see('Destino')
            ->see('Avisos Enviados')
            ->see('Id')
            ->see('Tipo')
            ->see('Destino')
            ->see('Data')
            ->assertViewHas(['user_types', 'ads']);

        $this->assertResponseOk();


    }

    public function testAdCreate()
    {
        $this->withoutMiddleware();
        $this->expectsJobs([\App\Core\Jobs\Ads\ScheduleAd::class]);
        $user = \App\Auth\Models\User::where('role_id', 1)->first();
        $this->actingAs($user)
            ->visit('/admin/products/avisos')
            ->type('Teste 2145', 'name')
            ->attach(__DIR__ . '/../../../../../stubs/ads_test.png', 'imagem')
            ->select(1, 'type')
            ->type('https://repasses.com.br/blog/aviso-importante/?11111=23123123', 'url_destino')
            ->select([1,2,3,4,5,6], 'user_type[]')
            ->press('Criar')
            ->see('Aviso agendado com sucesso! Você vai receber um email assim que o aviso estiver no ar.');
        $this->seeInDatabase('ads',
            [
                'name'        => 'Teste 2145',
                'type'        => 1,
                'user_type'   => '["1","2","3","4","5","6"]',
                'destination' => 'https://repasses.com.br/blog/aviso-importante/?11111=23123123'
            ]
        );

    }


}
