<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 19/11/2019
 * Time: 16:55
 */


use App\Auth\Models\User;
use Illuminate\Foundation\Testing\DatabaseTransactions;


class StoreControllerTest extends TestCase
{
    use DatabaseTransactions;

    public function testIndexStore()
    {
        $user = User::find(2);
        $this->actingAs($user)
            ->visit('/admin/stores/4')
            ->see('Loja')
            ->see('Dados da Loja');
    }

    public function testRemovePlan()
    {
        $store_id = 4;
        // $this->expectsJobs(\App\Core\Jobs\EditUserPodioJob::class);

        $this->withoutMiddleware();
        $this->post(route('admin.ajax.store.changesite'), ['store_id' => $store_id])->assertResponseOk();

        $store = \App\Admin\Dashboard\Models\Store\Store::find($store_id);
        $this->assertObjectNotHasAttribute('plans', $store);
    }

    public function testGenerateToken()
    {
        $store_id = 4;
        $this->withoutMiddleware();
        $this->post(route('admin.ajax.store.generatetoken'), ['store_id' => $store_id])->assertResponseOk();
    }

    public function testChangeSite()
    {
        $store_id = 4;
        $store = \App\Admin\Dashboard\Models\Store\Store::find($store_id);
        $store->site = true;
        $store->save();
        $this->withoutMiddleware();

        $this->post(route('admin.ajax.store.changesite'), ['store_id' => $store_id])->assertResponseOk();
        $this->seeInDatabase('stores', ['id' => $store_id, 'site' => false]);
    }

    public function testSetSiteUrl()
    {
        $store_id = 4;
        $url = 'http://juquinharepasses.com.br';
        $this->withoutMiddleware();

        $this->post(route('admin.ajax.store.setsiteurl'), ['store_id' => $store_id, 'url' => $url])->assertResponseOk();
        $this->seeInDatabase('stores', ['id' => $store_id, 'site_url' => $url]);
    }


}