<?php

use App\Admin\Dashboard\Models\UserProfile;
use Illuminate\Foundation\Testing\WithoutMiddleware;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Illuminate\Foundation\Testing\DatabaseTransactions;

class UserProfileTest extends TestCase
{

    use DatabaseTransactions;

    public function testCreateUserProfile()
    {

        $userProfile = UserProfile::create([
            'user_id' => 120,
            'state_id' => 6,
            'start_year' => 1984,
            'end_year' => 2019
        ]);

        $userProfile->types()->sync([0, 5, 8]);
        $userProfile->ddds()->sync([47,48,49]);
        $userProfile->save();

        $id = $userProfile->id;

        $this->seeInDatabase('user_profile', [
            'user_id' => 120,
            'state_id' => 6,
            'start_year' => 1984,
            'end_year' => 2019
        ]);
        $this->seeInDatabase('user_profile_car_type', ['profile_id' => $id, 'car_type' => 0]);
        $this->seeInDatabase('user_profile_car_type', ['profile_id' => $id, 'car_type' => 5]);
        $this->seeInDatabase('user_profile_car_type', ['profile_id' => $id, 'car_type' => 8]);

        $this->seeInDatabase('user_profile_ddd', ['profile_id' => $id, 'ddd_id' => 47]);
        $this->seeInDatabase('user_profile_ddd', ['profile_id' => $id, 'ddd_id' => 48]);
        $this->seeInDatabase('user_profile_ddd', ['profile_id' => $id, 'ddd_id' => 49]);


    }
}
