<?php

use Illuminate\Foundation\Testing\WithoutMiddleware;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Illuminate\Foundation\Testing\DatabaseTransactions;

class BidControllerTest extends TestCase
{
    use DatabaseTransactions;

    public function testSetBidError()
    {
        // 422
        $response = $this->call('POST', '/api/bid', [], [], [],
            [
                'HTTP_Authorization' => 'Basic ' . base64_encode('a@a.com' . ':' . '123'),
                'PHP_AUTH_USER' => 'a@a.com',
                'PHP_AUTH_PW' => '123'
            ]
        );
        $this->seeJson(['success' => false, 'msg' => 'Encontramos alguns erros.'])->assertResponseStatus( 422 );

    }

    public function testSetBid()
    {
        $car = \App\Admin\Dashboard\Models\Car::find(1001);
        $car->car_status_id = 1;
        $car->save();

        $response = $this->call('POST', '/api/bid', [
            'buyer_id' => 9,
            'car_id' => 1001,
            'bid' => 25457.00
        ], [], [],
            [
                'HTTP_Authorization' => 'Basic ' . base64_encode('a@a.com' . ':' . '123'),
                'PHP_AUTH_USER' => 'a@a.com',
                'PHP_AUTH_PW' => '123'
            ]
        );
        $this->seeJson(['success' => true])->assertResponseStatus( 200 );

    }

    public function testGetBid()
    {

        $response = $this->call('GET', '/api/bid/1691/9', [], [], [],
            [
                'HTTP_Authorization' => 'Basic ' . base64_encode('a@a.com' . ':' . '123'),
                'PHP_AUTH_USER' => 'a@a.com',
                'PHP_AUTH_PW' => '123'
            ]
        );
        $this->seeJson(['success' => true])->assertResponseStatus( 200 );

    }
}
