<?php
/**
 * Created by PhpStorm.
 * User: Rafael Mena Barreto
 * Date: 19/06/2020
 * Time: 21:26
 */

namespace App\Api\Http\Controllers\Report;


use App\Auth\Models\User;
use Illuminate\Foundation\Testing\DatabaseTransactions;

class ReportControllerTest extends \TestCase
{
    use DatabaseTransactions;

    public function testScoreboard()
    {

        /** @var \App\Auth\Models\User $user */
        $user = factory(\App\Auth\Models\User::class)->create([
            'user_type' => 1,
            'role_id' => 2,
            'is_aprovado' => 1
        ]);

        $roles = \App\Admin\Role\Models\Role::getProfessionalRole();

        $user->roles()->sync($roles);

        $store = factory(\App\Admin\Dashboard\Models\Store\Store::class)->create([
            'user_id' => $user->id
        ]);

        $store->staff()->attach($user->id, ['role_id' => 2, 'status'=> 1] );

        $this->actingAs($user);
        $this->withoutMiddleware();
        $this->actingAs($user);
        $response = $this->json('GET', '/api/v2/report/scoreboard')
            ->assertResponseStatus(200)
            ->seeJsonStructure([
                'success',
                'data' => [
                    'qty_active',
                    'qty_salesman',
                    'qty_cars',
                    'qty_transactions',
                    'qty_turbos',
                    'qty_franchise'
                ]
            ]);

    }

}